#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x5c5c6dfd, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xd3aa2fc3, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xa9d985a2, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x73e8f86f, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x0bc9b21e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9863bbd, "crypto_aead_decrypt" },
	{ 0xcdfae893, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62fd8d20, "crypto_unregister_aeads" },
	{ 0x850a2cfc, "cryptd_skcipher_child" },
	{ 0x9d8b3bfe, "crypto_skcipher_decrypt" },
	{ 0x408142da, "cryptd_alloc_skcipher" },
	{ 0x79acd55, "crypto_aead_setkey" },
	{ 0x60548687, "crypto_register_skcipher" },
	{ 0xd8be6acf, "crypto_aead_encrypt" },
	{ 0x4875b98c, "cryptd_aead_queued" },
	{ 0x594f2651, "crypto_unregister_skcipher" },
	{ 0x77363b61, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd029d6e, "cryptd_skcipher_queued" },
	{ 0x63d217fa, "cryptd_free_aead" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x3c2a0d48, "crypto_unregister_skciphers" },
	{ 0xec771dbd, "cryptd_free_skcipher" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xe30580b2, "crypto_skcipher_encrypt" },
	{ 0x9793fe4a, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9a19be5c, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xb6f8f8a6, "crypto_register_aead" },
	{ 0x20488293, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xbaf39f1e, "crypto_register_aeads" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0xc7404d8c, "crypto_aead_setauthsize" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
