#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x4fdbc7ed, "");
SYMBOL_CRC(acpi_video_get_edid, 0xc9992d32, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x3b7235aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21e9a59f, "put_device" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0xc6af165b, "_dev_info" },
	{ 0xc39f0833, "pnp_get_resource" },
	{ 0xffd95bfc, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xc730ccab, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0x17841205, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x3fc701a9, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xf224828f, "acpi_get_pci_dev" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xb19b445, "ioread8" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x95e1824, "acpi_get_first_physical_node" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11f21e84, "input_event" },
	{ 0x557aa5d6, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x834197d3, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4bd3e1bb, "acpi_fetch_acpi_dev" },
	{ 0xd04a57ca, "param_ops_bool" },
	{ 0x3154e6a7, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd48b898a, "backlight_device_register" },
	{ 0xa6ec8856, "acpi_dev_for_each_child" },
	{ 0x5b31e072, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x25b466f4, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x204e7d30, "input_allocate_device" },
	{ 0x4d4402e6, "acpi_dev_get_first_match_dev" },
	{ 0x759dc331, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xc969faa7, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x21bf5049, "backlight_force_update" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x99a377fb, "pci_dev_put" },
	{ 0xba71e67c, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xedc03953, "iounmap" },
	{ 0xf4cb2650, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x575e1df5, "acpi_device_fix_up_power_children" },
	{ 0x6a63e363, "acpi_dev_remove_notify_handler" },
	{ 0x630ec5a9, "thermal_cooling_device_register" },
	{ 0x7c5bb70, "get_device" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf353fb0e, "__acpi_bus_register_driver" },
	{ 0x3ca478dd, "pci_read_config_dword" },
	{ 0x568278bb, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x5b88c0dc, "input_register_device" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "BB735CCDC145744D8C227DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
