#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0x4f5efdd7, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x0adc4612, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0xf6567de7, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0xc079f3bc, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xfa3bc64e, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0xc894e802, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0xe37f7bf1, "_gpl");
SYMBOL_CRC(idxd_drv, 0xa7ee2017, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x7640de77, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0xb558899c, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x1ac99d74, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x5cf6d861, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x67f96a12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6573f300, "ida_free" },
	{ 0xa35436cd, "iommu_alloc_global_pasid" },
	{ 0x1d6df941, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbde315bb, "pci_iounmap" },
	{ 0xfb2bfeaf, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xcaacc04, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0x20e7a461, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4c905be5, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x92205701, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe29ec974, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x38c4516e, "dma_async_device_register" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x22f0c7db, "__kmem_cache_create_args" },
	{ 0x14d71874, "iommu_attach_device_pasid" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xfa7a6b81, "dma_set_coherent_mask" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0xa66984ca, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa5a92a35, "debugfs_create_file" },
	{ 0xd8c39cf, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x43b7ea1b, "sbitmap_finish_wait" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfc73862c, "dma_async_device_channel_register" },
	{ 0xd04a57ca, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xae5a70ad, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xa3766ae8, "seq_printf" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x94a05a82, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x549321a8, "single_release" },
	{ 0xfc0c3ebb, "dma_set_mask" },
	{ 0x56b97da8, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x4734a631, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3c68ea2, "single_open" },
	{ 0x4578ae9c, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbd8558da, "__sbitmap_queue_get" },
	{ 0x48ade615, "pci_free_irq_vectors" },
	{ 0xada752bc, "idxd_driver_unregister" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x3751623d, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xfcdcb522, "bus_register" },
	{ 0x5b3c9ca7, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x55a0aca5, "pci_msix_vec_count" },
	{ 0xb4bf3201, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x44d07872, "dev_set_name" },
	{ 0x2499e5fe, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xde0284c4, "dma_async_device_unregister" },
	{ 0xd545efd7, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x776f3045, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x86c7ecf2, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x16ef8195, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x20db995f, "__kmalloc_node_noprof" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa18bd8c1, "__pci_register_driver" },
	{ 0x2d77cbe5, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x42b7ff9e, "device_initialize" },
	{ 0x6e0621a3, "dsa_bus_type" },
	{ 0x52a131a6, "iommu_dev_disable_feature" },
	{ 0x21408dd5, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0x80a37753, "seq_lseek" },
	{ 0xf897a20e, "iommu_sva_bind_device" },
	{ 0xc1a76d73, "iommu_detach_device_pasid" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xfce9fb14, "pci_irq_vector" },
	{ 0x7c5bb70, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x68f6a6e4, "pci_unregister_driver" },
	{ 0x5e9a1d38, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54d98956, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xea461a06, "sbitmap_prepare_to_wait" },
	{ 0x46954a0d, "cdev_device_add" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21e9a59f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xa7b02017, "iommu_dev_enable_feature" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0xc6af165b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x30f062e, "__idxd_driver_register" },
	{ 0x6969422a, "iommu_get_domain_for_dev" },
	{ 0xc17e8b98, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x1d3ef5fd, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x17841205, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x6b209fbe, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x58a85ecc, "kmem_cache_free" },
	{ 0x6d326ec3, "dma_alloc_attrs" },
	{ 0xf8613624, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x4ce17bac, "dma_async_device_channel_unregister" },
	{ 0xf60fe6aa, "seq_putc" },
	{ 0x5da5ae2c, "iommu_sva_unbind_device" },
	{ 0xba903b6, "sbitmap_queue_clear" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6895CCCA17D1A373A05B45E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
