#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_name, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_put, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_set_io_error, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_detect, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_destroy, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_enable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_disable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_bw_alloc_is_enabled, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_alloc_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get_allocated_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_update_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_handle_irq, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_rate, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_available_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_old_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_new_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_set_stream_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_required_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_group_streams_in_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_check_stream_bws, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_create, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x75a507a4, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xffe46cc0, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x6505c0da, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x8148c100, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x2a0b9e62, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x57c5c061, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x14474639, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x5f56e5e9, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x92431c86, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x30dc183e, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x3f42f47d, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xb71d6f5b, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x91b923dd, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x96a69bf5, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x0aca738f, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xd09c0ef0, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xbc531fbd, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xe1ff4994, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x1dd49933, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xac421071, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x72f177dd, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x4a954f37, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x33a30690, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xd1d4d1db, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xad5f5b72, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x6b47e220, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x20b5b071, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x5642f0f1, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xb6cdae2b, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xd62ec7a4, "");
SYMBOL_CRC(drm_dp_aux_init, 0x7796556b, "");
SYMBOL_CRC(drm_dp_aux_register, 0x6ca1b7ee, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x9f8ff94d, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x7bc57e27, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xa045a689, "");
SYMBOL_CRC(drm_dp_read_desc, 0xc17a223b, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x2700edb3, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x8dd559b1, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x4ad416ba, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xba7353e4, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x3e3b6734, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x528fe418, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x3513e716, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x8caa54d0, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xeedecb3a, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x94a9b2ee, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x1e183951, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x49351285, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x7d7af298, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x32ca1d04, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x3834f380, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x79732db4, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xd9d36f0b, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x89abd8cb, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xe2d01f83, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xb804a3d3, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x2d4ce85f, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x67211790, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x2b176d22, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x0ba75bc2, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x342d7ef5, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x61d9085f, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xff3df36c, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xd527894a, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x98265bda, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x015e1834, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xa655e776, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x019c5822, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xb50184d1, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xeec532a7, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xb289544a, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x4f81c87b, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x6d200d6f, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x1d62402c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x0c3b118b, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x22c737b0, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xd840b565, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xfdcd4279, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xf78ec22c, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xb5780847, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xf4397b61, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xf123383d, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xc842689d, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x9d7e9bcd, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x3de3a1de, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x76441ed5, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x5ffa3996, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xf3c13c33, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xd530fb89, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x9ccabb1b, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xc457b2a3, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0xf8e9149d, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x35ab2bfe, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x278d178e, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x3004017c, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xdc8565c7, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xbdb6331c, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x025e73fe, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x55639212, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xa9474b4b, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x8dc9a7f6, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xaca397cc, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x9002d7f2, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x75d145f1, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_dp_tunnel_name, 0x4dcbe65a, "");
SYMBOL_CRC(drm_dp_tunnel_get, 0x2251bc99, "");
SYMBOL_CRC(drm_dp_tunnel_put, 0x64ed053c, "");
SYMBOL_CRC(drm_dp_tunnel_set_io_error, 0x59fd5d64, "");
SYMBOL_CRC(drm_dp_tunnel_detect, 0x17cb8ff1, "");
SYMBOL_CRC(drm_dp_tunnel_destroy, 0xc3e313ce, "");
SYMBOL_CRC(drm_dp_tunnel_enable_bw_alloc, 0x9b94e482, "");
SYMBOL_CRC(drm_dp_tunnel_disable_bw_alloc, 0x33dc9f9e, "");
SYMBOL_CRC(drm_dp_tunnel_bw_alloc_is_enabled, 0x12a7a127, "");
SYMBOL_CRC(drm_dp_tunnel_alloc_bw, 0xe23ec5be, "");
SYMBOL_CRC(drm_dp_tunnel_get_allocated_bw, 0x2be568a2, "");
SYMBOL_CRC(drm_dp_tunnel_update_state, 0x12c52ff9, "");
SYMBOL_CRC(drm_dp_tunnel_handle_irq, 0x6950ac5b, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_rate, 0xe239de10, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_lane_count, 0x848588fb, "");
SYMBOL_CRC(drm_dp_tunnel_available_bw, 0x5a08e995, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_state, 0xb520e6be, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_old_state, 0x5e0f5b98, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_new_state, 0xb8eafa91, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_set_stream_bw, 0x9a7feb33, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_required_bw, 0xf0022b0c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_group_streams_in_state, 0xf5489bfd, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_check_stream_bws, 0xb34b612f, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_create, 0x19a3bf13, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_destroy, 0xf792853b, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x42f4105f, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x4687eb4c, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x0c26f58b, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xbb2790f9, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xdfbb3685, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x3cf2340b, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x9bf1d0eb, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x1659265a, "");
SYMBOL_CRC(drm_scdc_write, 0x9fffbdb9, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x0dd962e6, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xe6fec48e, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xbd53272d, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x7b86142c, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x35b5cb29, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xd1098cae, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x0b25791e, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x56a1d55f, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xf5dce5a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8df9dd10, "guid_null" },
	{ 0x2dc39fa6, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xc4f57495, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4305e400, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x7d9709cd, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x3131e3c7, "drm_dev_printk" },
	{ 0xcdd6f37a, "i2c_del_adapter" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0xe90c8e27, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7623bff9, "drm_crtc_wait_one_vblank" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x1fae3799, "drm_modeset_lock" },
	{ 0xb1f26cab, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x17841205, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xa389f96b, "device_create" },
	{ 0xf9951014, "class_create" },
	{ 0xb7ff380c, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf6c9c2a0, "fixed_size_llseek" },
	{ 0xf60fe6aa, "seq_putc" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x7fcead8c, "drm_crtc_commit_wait" },
	{ 0x42715290, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xa06b1756, "cec_unregister_adapter" },
	{ 0x992db145, "drm_object_attach_property" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xc3001087, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa3d90061, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x38672400, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5039f134, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x831feed, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8b199975, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4e7facc7, "__register_chrdev" },
	{ 0xf81592b4, "seq_write" },
	{ 0xa0a0af2a, "device_destroy" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3766ae8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xea25feb9, "_copy_from_iter" },
	{ 0x13a61a84, "i2c_transfer" },
	{ 0xcf54acc7, "drm_display_mode_from_cea_vic" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x31822f59, "cec_fill_conn_info_from_drm" },
	{ 0xc3765775, "drm_sysfs_connector_property_event" },
	{ 0xca4092eb, "cec_received_msg_ts" },
	{ 0x25b466f4, "param_ops_int" },
	{ 0xb32171ae, "iov_iter_revert" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xc2e31a15, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x46cd5e9, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x758d84a2, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb6e0f751, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3f7637f6, "drm_crtc_add_crc_entry" },
	{ 0xe97b2937, "cec_delete_adapter" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9de4c2b2, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xc6812e55, "drm_connector_register" },
	{ 0xd28f86fc, "cec_transmit_attempt_done_ts" },
	{ 0xa438b1ea, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1231f3dc, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xa61a1dcd, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe9db48f5, "class_destroy" },
	{ 0xbb18184f, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x974b0d53, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x2081c43f, "drm_connector_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c1771f, "drm_mode_object_put" },
	{ 0xf79b99e2, "dev_driver_string" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "8AED82B2387EB2FAA64BE78");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
