#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0xb8fb0d09, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0x71f0d0d6, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x40c5520f, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0x48702e9a, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xf22f5fd1, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0xa521bb80, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a659b78, "drm_client_framebuffer_delete" },
	{ 0x2d04d1df, "drm_client_framebuffer_create" },
	{ 0xae249907, "drm_fb_helper_deferred_io" },
	{ 0xb9883f91, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fb6d38e, "drm_driver_legacy_fb_format" },
	{ 0x8cb56d85, "drm_fb_helper_fill_info" },
	{ 0x57c2af87, "fb_deferred_io_init" },
	{ 0x75bd947e, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf79b99e2, "dev_driver_string" },
	{ 0xd05b784d, "drm_fb_helper_hotplug_event" },
	{ 0x58f547ac, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e71140, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x678aa9c7, "sys_imageblit" },
	{ 0x2709ee9d, "drm_fb_helper_damage_range" },
	{ 0xd2f5b733, "drm_fb_helper_blank" },
	{ 0x284e3bb0, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2562aa75, "drm_fb_helper_damage_area" },
	{ 0xd3b66f7b, "sys_fillrect" },
	{ 0x2dff358b, "module_put" },
	{ 0x98c9f1c8, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x54a8c856, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xfd5105bd, "drm_fb_helper_prepare" },
	{ 0x17841205, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa3d90061, "__drm_dev_dbg" },
	{ 0xa4c58d94, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a4b661, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xff9d1a81, "drm_client_release" },
	{ 0xe0d01ef5, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x961f1925, "fb_sys_read" },
	{ 0x731fd3c4, "drm_fb_helper_debug_leave" },
	{ 0x860de52f, "ttm_bo_mmap_obj" },
	{ 0x5757cb21, "drm_client_buffer_vunmap_local" },
	{ 0x9bd3b8a2, "ttm_bo_vmap" },
	{ 0x8f104795, "drm_client_buffer_vmap_local" },
	{ 0xdf218d96, "drm_fb_helper_initial_config" },
	{ 0x5b269516, "drm_fb_helper_unregister_info" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xb716e07c, "drm_fb_helper_ioctl" },
	{ 0xfde36289, "drm_fb_helper_set_par" },
	{ 0xd7c41f6b, "drm_client_register" },
	{ 0xcbab3e13, "try_module_get" },
	{ 0x7dc6a233, "drm_fb_helper_init" },
	{ 0xf4eb6aab, "drm_fb_helper_debug_enter" },
	{ 0x89d5d3b4, "drm_fb_helper_lastclose" },
	{ 0x36d083d1, "drm_fb_helper_setcmap" },
	{ 0x7802fc8b, "drm_fb_helper_alloc_info" },
	{ 0x40bd35fe, "drm_helper_disable_unused_functions" },
	{ 0xa91dafc, "drm_fb_helper_unprepare" },
	{ 0x643750f7, "drm_fb_helper_fini" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "66A6C30A95B161197D8C13A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
