#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x4d4c1cac, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x13c6fe4a, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xdcd340f9, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x4dd375db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b87f536, "__pm_runtime_disable" },
	{ 0xbed15bc3, "__pm_runtime_set_status" },
	{ 0x86c035b2, "iio_trigger_unregister" },
	{ 0x147e5db8, "iio_triggered_buffer_cleanup" },
	{ 0xca84efa1, "regulator_bulk_disable" },
	{ 0xcb0231b, "devm_iio_device_alloc" },
	{ 0x46585a94, "is_acpi_device_node" },
	{ 0xf5680de3, "iio_read_mount_matrix" },
	{ 0x2589797f, "devm_regulator_bulk_get" },
	{ 0xc457389e, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x759dc331, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x34aac9a5, "iio_read_acpi_mount_matrix" },
	{ 0x31195205, "dev_err_probe" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x955f90c, "iio_triggered_buffer_setup_ext" },
	{ 0xa088ca2f, "devm_request_threaded_irq" },
	{ 0xeb13800f, "iio_device_id" },
	{ 0x2ce51852, "__devm_iio_trigger_alloc" },
	{ 0xc78e037d, "iio_trigger_register" },
	{ 0xd3b045b1, "pm_runtime_enable" },
	{ 0x609179b, "pm_runtime_set_autosuspend_delay" },
	{ 0x622083e0, "__pm_runtime_use_autosuspend" },
	{ 0xd69854cf, "__iio_device_register" },
	{ 0x6c603c4f, "__dev_fwnode" },
	{ 0x1f2f2723, "fwnode_irq_get_byname" },
	{ 0xdb41e104, "iio_read_const_attr" },
	{ 0xa3477d51, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9915312e, "regmap_write" },
	{ 0x69abc7b8, "regmap_get_device" },
	{ 0x17841205, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8f06eff0, "iio_get_time_ns" },
	{ 0x68b51d2a, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x29687f14, "regmap_update_bits_base" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x951b72bd, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe15bbba2, "__pm_runtime_suspend" },
	{ 0x45757b08, "regmap_read" },
	{ 0xc35ae385, "iio_buffer_enabled" },
	{ 0x253e2421, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b109939, "iio_device_get_current_mode" },
	{ 0xb8a361a5, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd8974b85, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x38280ade, "iio_push_event" },
	{ 0x78173398, "iio_trigger_notify_done" },
	{ 0x42e96bb0, "iio_device_unregister" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "74230F3F4E0A46EB7A272AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
