#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x2691a17e, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x1cc7fd2c, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xa5a97ddd, "");
SYMBOL_CRC(cx18_claim_stream, 0x913cbbbd, "");
SYMBOL_CRC(cx18_release_stream, 0xf9dfb1e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ed6da91, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7330e99f, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3bfe0ebd, "i2c_new_scanned_device" },
	{ 0x7f387140, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcdd6f37a, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe6dd82e7, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x57404d2d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7b18b3b3, "vb2_ioctl_dqbuf" },
	{ 0xb2fb0569, "dvb_dmx_release" },
	{ 0x6a592863, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2bbb89cd, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x288bb5f9, "vb2_ioctl_prepare_buf" },
	{ 0xb67d1c4b, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x12b749b1, "pci_read_config_word" },
	{ 0x9174bf6f, "vb2_buffer_done" },
	{ 0xf135ca1b, "vb2_plane_vaddr" },
	{ 0xcaa107ee, "v4l2_ctrl_subscribe_event" },
	{ 0xef07651e, "v4l2_fh_init" },
	{ 0x68c8e0df, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x106f8d8e, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb9043e18, "dvb_dmx_swfilter" },
	{ 0x22ac1ec, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2e94b391, "dvb_dmxdev_release" },
	{ 0xafbea81d, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9da6130c, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x20c8b5b8, "param_ops_short" },
	{ 0xaa23b931, "vb2_vmalloc_memops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xd2e5c86b, "vb2_fop_read" },
	{ 0x90047e48, "__v4l2_device_register_subdev" },
	{ 0x6ff82a79, "v4l2_device_register" },
	{ 0x35a9756a, "dvb_frontend_detach" },
	{ 0xe9038267, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe53e5f37, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9e053a1, "__video_register_device" },
	{ 0x86a16dc1, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe2ad528f, "dvb_unregister_frontend" },
	{ 0x3bcdb3d, "pci_write_config_byte" },
	{ 0x1baf4531, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3b22bfa, "vb2_ioctl_streamon" },
	{ 0x960ac3d4, "vb2_fop_poll" },
	{ 0x26d864b9, "v4l2_ctrl_new_std" },
	{ 0x370e0d43, "v4l2_ctrl_g_ctrl" },
	{ 0x149789cc, "cx2341x_handler_init" },
	{ 0x8756dca8, "cx2341x_handler_set_50hz" },
	{ 0xc4549d6e, "v4l2_ctrl_handler_free" },
	{ 0x4ce25a80, "v4l2_device_unregister" },
	{ 0x94a05a82, "pci_disable_device" },
	{ 0xe68a2e32, "dvb_register_frontend" },
	{ 0xfc0c3ebb, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd9ba78a8, "v4l2_subdev_call_wrappers" },
	{ 0x9ec05008, "v4l2_i2c_new_subdev" },
	{ 0xaf0e41af, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb518a570, "dvb_unregister_adapter" },
	{ 0xbdaa4c63, "dvb_dmx_init" },
	{ 0x25b466f4, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x2f82e258, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6220a9a2, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf6a0eeb3, "v4l2_event_unsubscribe" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x49b391e1, "vb2_ioctl_reqbufs" },
	{ 0x7b2d5d70, "vb2_queue_init" },
	{ 0x8db4cf6, "v4l2_fh_exit" },
	{ 0x835206e0, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xeff8baf7, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9cc79f48, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe1447e94, "vb2_queue_release" },
	{ 0xb4bf3201, "pci_enable_device" },
	{ 0x79b180a7, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x2443c38f, "i2c_bit_add_bus" },
	{ 0xa70a82d6, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x91a3610, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf083c5dd, "dma_unmap_page_attrs" },
	{ 0xa30b23cc, "vb2_ops_wait_finish" },
	{ 0xb9eab1ad, "request_firmware" },
	{ 0xa18bd8c1, "__pci_register_driver" },
	{ 0x53fe04b6, "v4l2_ctrl_handler_init_class" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xda5e7645, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf4366b2, "vb2_ioctl_querybuf" },
	{ 0x295844cf, "v4l2_subdev_init" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd0357115, "vb2_video_unregister_device" },
	{ 0x68f6a6e4, "pci_unregister_driver" },
	{ 0xabaaef25, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf79b99e2, "dev_driver_string" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb6c65892, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb45890ec, "v4l2_ctrl_handler_log_status" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "569B9AFE1F87819F6323A64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
