#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x3f473b85, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x62ee79f5, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x77ec5db7, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x661ed791, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x4b8411d0, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xdb7f0970, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x4203536e, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x22cc75e6, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x3ab962a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6ce80aa8, "netdev_err" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x41a38ec8, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3751623d, "cdev_init" },
	{ 0xa68105f0, "cdev_add" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x39551e09, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x1a3d4198, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x80633186, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd2bb6574, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x881b70cc, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xadde4ba8, "skb_copy_datagram_iter" },
	{ 0x9de4c2b2, "_copy_to_iter" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc3417def, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xe924e8d5, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf7ca0210, "skb_push" },
	{ 0xff34de55, "__skb_gso_segment" },
	{ 0x6338776a, "skb_checksum_help" },
	{ 0xe8aaba66, "kfree_skb_list_reason" },
	{ 0x601d9135, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x978773c, "__skb_flow_dissect" },
	{ 0xe4f76670, "skb_partial_csum_set" },
	{ 0x6b7df2fa, "__pskb_pull_tail" },
	{ 0x59b47fca, "sock_alloc_send_pskb" },
	{ 0x732af2b0, "skb_put" },
	{ 0x7e4f625, "zerocopy_sg_from_iter" },
	{ 0x4c654210, "__dev_queue_xmit" },
	{ 0xea25feb9, "_copy_from_iter" },
	{ 0xeb9f259f, "skb_copy_datagram_from_iter" },
	{ 0x8a071551, "iov_iter_npages" },
	{ 0xb32171ae, "iov_iter_revert" },
	{ 0x2377f173, "skb_copy_bits" },
	{ 0x9c5bdcfe, "build_skb" },
	{ 0x6fc092ed, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66440455, "sk_skb_reason_drop" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E0A76EEA8D0FE967377492B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
