#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x7be25b73, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xa24b2e64, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x07799f2e, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x7f2cf124, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xa2428dd4, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xdb8492ca, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xd8f8646c, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0xc044311a, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xf653d8a2, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xbfd2f2eb, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x3e338faa, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xb9aa6b48, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xba3cc083, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x6af640ba, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x6a2e1565, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x7b311b5a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e61fa15, "usb_control_msg" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x17841205, "_dev_err" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69aa2779, "usb_anchor_urb" },
	{ 0x6b50fdc1, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x1537514e, "usb_unanchor_urb" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x24653f27, "usb_alloc_urb" },
	{ 0xa17dffe1, "usb_free_urb" },
	{ 0x335e2a41, "rt2x00lib_dmastart" },
	{ 0xcac8649, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad7696a6, "__skb_pad" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x29c7252e, "rt2x00queue_for_each_entry" },
	{ 0xbd5fd1d2, "usb_kill_urb" },
	{ 0xd3568b2, "rt2x00queue_get_entry" },
	{ 0x1fa050c4, "rt2x00queue_stop_queue" },
	{ 0x5d34b521, "rt2x00queue_flush_queue" },
	{ 0xc666c45e, "rt2x00queue_start_queue" },
	{ 0xc14046de, "rt2x00lib_txdone_noinfo" },
	{ 0x32232df4, "rt2x00lib_rxdone" },
	{ 0x24630be6, "rt2x00lib_suspend" },
	{ 0x7ea170a8, "rt2x00lib_resume" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x60480635, "rt2x00lib_remove_dev" },
	{ 0x2d566ae5, "ieee80211_free_hw" },
	{ 0x397b91c6, "usb_put_dev" },
	{ 0x390b25af, "usb_get_dev" },
	{ 0x159a02ea, "usb_reset_device" },
	{ 0x6868dbc, "ieee80211_alloc_hw_nm" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7fd265bf, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
