#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0xd77bddbd, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x54c70f54, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0xcf48f4b4, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x97b50f2d, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0xd9e61d62, "_gpl");
SYMBOL_CRC(tb_ring_start, 0xc2da3b46, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xf0117fb4, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xab109f87, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x1b2d943c, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x63c0c809, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x4d898ef2, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x9839757f, "_gpl");
SYMBOL_CRC(tb_service_type, 0x34024cc5, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0xda5da6f0, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x582c42bb, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x21107825, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x81fe1932, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x1832c942, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x18209e4b, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x3172de5d, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x4464dd17, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x39384ea3, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x9f4479d7, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x0748d08e, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa66984ca, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x196ac99b, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x70dd6d54, "pm_runtime_forbid" },
	{ 0xa5a92a35, "debugfs_create_file" },
	{ 0xd8c39cf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xa61a20a5, "pm_runtime_allow" },
	{ 0x729940fe, "trace_event_buffer_reserve" },
	{ 0x951b72bd, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4bd3e1bb, "acpi_fetch_acpi_dev" },
	{ 0xd04a57ca, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0xf81592b4, "seq_write" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3766ae8, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd091ee7e, "kobject_uevent" },
	{ 0x54d6a45f, "device_iommu_capable" },
	{ 0x549321a8, "single_release" },
	{ 0xfc0c3ebb, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe0529e70, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x31195205, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x489e59d8, "nvmem_register" },
	{ 0xe4abe969, "pcim_iomap_table" },
	{ 0xe15bbba2, "__pm_runtime_suspend" },
	{ 0x733dd419, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0x622083e0, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3c68ea2, "single_open" },
	{ 0x1c629b91, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x2b87f536, "__pm_runtime_disable" },
	{ 0x55ce9843, "crypto_alloc_shash" },
	{ 0x4578ae9c, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x61e092bb, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x5bef5d7, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x3561a1d3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c603c4f, "__dev_fwnode" },
	{ 0x87cbeadf, "pci_bus_type" },
	{ 0x4d4757a2, "pci_write_config_dword" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xfcdcb522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x229b25a5, "pci_find_ext_capability" },
	{ 0x46585a94, "is_acpi_device_node" },
	{ 0x2054f818, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcab7de9d, "bpf_trace_run4" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xa088ca2f, "devm_request_threaded_irq" },
	{ 0xa438b1ea, "param_ops_uint" },
	{ 0x49daa79d, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x44d07872, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xd545efd7, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40296265, "trace_raw_output_prep" },
	{ 0x16ef8195, "device_unregister" },
	{ 0x609179b, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf5acc07e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa586b540, "nvmem_unregister" },
	{ 0x31d4d6d0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa18bd8c1, "__pci_register_driver" },
	{ 0x42b7ff9e, "device_initialize" },
	{ 0x7045cbfb, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4569a9cc, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0x80a37753, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xd05297c4, "acpi_find_child_by_adr" },
	{ 0xd5e7e793, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfce9fb14, "pci_irq_vector" },
	{ 0x7c5bb70, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x68f6a6e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf79b99e2, "dev_driver_string" },
	{ 0xc401672f, "trace_event_buffer_commit" },
	{ 0x9efc2051, "crypto_destroy_tfm" },
	{ 0x3ca478dd, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbed15bc3, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe46f86d4, "pm_wakeup_dev_event" },
	{ 0xfe058c2b, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xe2b93645, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe524ceca, "debugfs_lookup_and_remove" },
	{ 0x21e9a59f, "put_device" },
	{ 0x244d83ad, "devm_free_irq" },
	{ 0xd3b045b1, "pm_runtime_enable" },
	{ 0x68dd36, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xda4089e6, "bus_for_each_dev" },
	{ 0xc6af165b, "_dev_info" },
	{ 0xffd95bfc, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xed30fee7, "pcim_iomap_regions" },
	{ 0x86b72546, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x235149dc, "perf_trace_run_bpf_submit" },
	{ 0x1d3ef5fd, "bus_unregister" },
	{ 0x17841205, "_dev_err" },
	{ 0xf34acf01, "device_wakeup_enable" },
	{ 0xc08bdff4, "crypto_shash_setkey" },
	{ 0x1ff952e1, "bus_find_device" },
	{ 0x6b209fbe, "device_add" },
	{ 0x3fc701a9, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc78d9a04, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x155f951a, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x76087598, "pci_device_is_present" },
	{ 0x6d326ec3, "dma_alloc_attrs" },
	{ 0xf8613624, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf60fe6aa, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xd0d924e6, "trace_event_reg" },
	{ 0x2ed70dd2, "crypto_shash_digest" },
	{ 0x6573f300, "ida_free" },
	{ 0x584e2e25, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd8a35b9b, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x1e86f851, "device_register" },
	{ 0xfb2bfeaf, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0xc4cf0282, "unregister_acpi_bus_type" },
	{ 0x95e1824, "acpi_get_first_physical_node" },
	{ 0x4c905be5, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x829bd21f, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xfa7a6b81, "dma_set_coherent_mask" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "E1E065F6BE3E4E2E56F3031");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
