#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ffs_lock, "_gpl", "");
KSYMTAB_FUNC(ffs_name_dev, "_gpl", "");
KSYMTAB_FUNC(ffs_single_dev, "_gpl", "");

SYMBOL_CRC(ffs_lock, 0xcf3b7884, "_gpl");
SYMBOL_CRC(ffs_name_dev, 0x5b2acdc5, "_gpl");
SYMBOL_CRC(ffs_single_dev, 0x72c8a5a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6fc092ed, "compat_ptr_ioctl" },
	{ 0xf77b2cfa, "usb_function_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xefd0519, "dma_buf_unmap_attachment" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x861cbccd, "usb_ep_clear_halt" },
	{ 0xebdf84ee, "__wake_up_locked" },
	{ 0x782850f, "dma_fence_signal" },
	{ 0x7b691c76, "config_group_init_type_name" },
	{ 0x64427686, "do_wait_intr_irq" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xedb06059, "dma_buf_get" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xa59d2dc3, "ww_mutex_lock" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x659f1b5, "dma_buf_put" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x8f92d6fc, "usb_ep_autoconfig" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x742d45af, "unregister_gadget_item" },
	{ 0x13a3308c, "dma_fence_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x274273df, "usb_put_function_instance" },
	{ 0xe7a81988, "kill_litter_super" },
	{ 0x3499ba69, "sg_alloc_table_from_pages_segment" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x7d10b8fd, "make_kgid" },
	{ 0x1aea6e7c, "d_delete" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe0afd949, "usb_function_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x999e8297, "vfree" },
	{ 0x2d75696f, "usb_ep_set_halt" },
	{ 0x901c89ec, "d_add" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7d225d87, "inode_set_ctime_current" },
	{ 0x3481d9d5, "dup_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad49f321, "dput" },
	{ 0xdc220fe, "generic_delete_inode" },
	{ 0xea25feb9, "_copy_from_iter" },
	{ 0x9da30b8d, "dma_buf_detach" },
	{ 0x5c260c53, "stream_open" },
	{ 0xb4c18d18, "__fs_parse" },
	{ 0x56b97da8, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xb32171ae, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6917f73, "ww_mutex_lock_interruptible" },
	{ 0x9de4c2b2, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x978da721, "usb_string_ids_n" },
	{ 0xd1f703d6, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5772e049, "simple_dir_inode_operations" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xb2211837, "usb_ep_fifo_flush" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8c1f4db3, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x703c7aa8, "new_inode" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4d402f9b, "unregister_filesystem" },
	{ 0xb32da74, "dma_resv_wait_timeout" },
	{ 0x6f9d0bb3, "usb_interface_id" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6d3529f7, "d_alloc_name" },
	{ 0xf743a96b, "simple_statfs" },
	{ 0xd8d419da, "d_make_root" },
	{ 0x83f363eb, "ww_mutex_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa54bfe03, "dma_resv_add_fence" },
	{ 0x37a0cba, "kfree" },
	{ 0xb880a06, "usb_ep_fifo_status" },
	{ 0x2adb9ddf, "logfc" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xbdcf1ae1, "fs_param_is_bool" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xefd870ec, "register_filesystem" },
	{ 0x4d824480, "kiocb_set_cancel_fn" },
	{ 0x7a7517f8, "dma_buf_attach" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x5e9a1d38, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa83ab64d, "get_tree_nodev" },
	{ 0x25db46c6, "config_ep_by_speed" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa5951ba6, "fs_param_is_u32" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x47bae050, "dma_resv_reset_max_fences" },
	{ 0x94d90156, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6db0a2bc, "make_kuid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x64ab5b6f, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4d6c7a1b, "dma_buf_map_attachment" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "libcomposite,configfs");


MODULE_INFO(srcversion, "F8F9CBF40D62160A80D06BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
