#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xb4ae47da, "");
SYMBOL_CRC(w1_remove_master_device, 0xbf51b429, "");
SYMBOL_CRC(w1_register_family, 0x14c3bf03, "");
SYMBOL_CRC(w1_unregister_family, 0xd1e1f44c, "");
SYMBOL_CRC(w1_touch_bit, 0x7cebdcd6, "_gpl");
SYMBOL_CRC(w1_write_8, 0x6aeb7df1, "_gpl");
SYMBOL_CRC(w1_triplet, 0x6fff55ee, "_gpl");
SYMBOL_CRC(w1_read_8, 0x42611227, "_gpl");
SYMBOL_CRC(w1_write_block, 0xe4f57873, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x1297be05, "_gpl");
SYMBOL_CRC(w1_read_block, 0x5b093de0, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x685d0d63, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x34d05628, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xe7e76ee6, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xa34e1cbb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc6efb69, "cn_netlink_send_mult" },
	{ 0x21e9a59f, "put_device" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6af165b, "_dev_info" },
	{ 0x18b8f4f5, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x1d3ef5fd, "bus_unregister" },
	{ 0x17841205, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x1f79b63, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x584e2e25, "driver_unregister" },
	{ 0x791b18e8, "sysfs_create_group" },
	{ 0x43d701fd, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1e86f851, "device_register" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x948288ac, "kthread_create_on_node" },
	{ 0xa91b2083, "pv_ops" },
	{ 0x78371c1, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xd091ee7e, "kobject_uevent" },
	{ 0x893c3887, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x25b466f4, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bef5d7, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb972535f, "cn_add_callback" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfcdcb522, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44d07872, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x16ef8195, "device_unregister" },
	{ 0x500756f7, "sysfs_remove_groups" },
	{ 0x2d70e07e, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1cf9e6ca, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
