#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x04ee0c04, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x375cbd1b, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xebc0f0d5, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0xb9817da6, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0xf17a7278, "_gpl");
SYMBOL_CRC(six_relock_ip, 0xc115326a, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0x97b16652, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0xb1f84cdf, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0x1fb6ee1e, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0xfee28b57, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0xbdd5f400, "_gpl");
SYMBOL_CRC(six_lock_increment, 0x8f88bd4c, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0x37e003e9, "_gpl");
SYMBOL_CRC(six_lock_counts, 0xaf5fd274, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0x4bfe3e7d, "_gpl");
SYMBOL_CRC(six_lock_exit, 0x03b665d8, "_gpl");
SYMBOL_CRC(__six_lock_init, 0x0ad49fa3, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0xe1131bd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xdb4bd7d4, "vmap" },
	{ 0x338cd3f0, "sget" },
	{ 0xf1f71c8c, "zero_fill_bio_iter" },
	{ 0x7472b15, "bio_add_page" },
	{ 0xa7d9bd3a, "crypto_shash_update" },
	{ 0x5b54e263, "from_vfsgid" },
	{ 0x31ba3c44, "class_unregister" },
	{ 0xd99e0e9b, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ed34976, "folio_wait_stable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8d8158bb, "cleanup_srcu_struct" },
	{ 0xa1a3ea5f, "__audit_inode_child" },
	{ 0xd8d75984, "d_obtain_alias" },
	{ 0xda375a8e, "file_modified" },
	{ 0x43d701fd, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd95a1e44, "bio_check_pages_dirty" },
	{ 0xcf191255, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x47773be0, "freezing_slow_path" },
	{ 0xfce6f40b, "folio_end_read" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xba51c271, "__folio_start_writeback" },
	{ 0xce688f81, "bio_set_pages_dirty" },
	{ 0xdc77da50, "bpf_trace_run1" },
	{ 0x6e702de4, "bpf_trace_run9" },
	{ 0x77a4f039, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x87a7d16, "folio_end_writeback" },
	{ 0xdd16ba14, "sync_inodes_sb" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xedcad47a, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcfa100e3, "bio_init" },
	{ 0x8b5bb20f, "__SCT__tp_func_contention_begin" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0xfb578fc5, "memset" },
	{ 0xa3dba0b9, "synchronize_srcu_expedited" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x6d980154, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x7292fc81, "generic_remap_file_range_prep" },
	{ 0xa84b15d, "zstd_init_cctx" },
	{ 0xe21f18ac, "__genradix_iter_peek" },
	{ 0xe4a7e1b1, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x61f16717, "__get_task_comm" },
	{ 0xfb86fa41, "bio_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe29ec974, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc25f909b, "in_group_or_capable" },
	{ 0x9d3372a, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0x7d10b8fd, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x1aea6e7c, "d_delete" },
	{ 0xf27a687c, "crypto_alloc_sync_skcipher" },
	{ 0x442deaa9, "poll_state_synchronize_rcu" },
	{ 0x22f0c7db, "__kmem_cache_create_args" },
	{ 0x15b89b29, "__closure_sync_timeout" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x54362f05, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd176c94, "nonseekable_open" },
	{ 0x3bd69ca7, "bio_free_pages" },
	{ 0x948288ac, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa91b2083, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x50839301, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x831f6711, "__genradix_ptr_alloc" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x8c30bf67, "zstd_dctx_workspace_bound" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa5a92a35, "debugfs_create_file" },
	{ 0xe481565c, "super_setup_bdi" },
	{ 0x89a17cc1, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x4438bf7e, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb584f3ad, "kobject_del" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x729940fe, "trace_event_buffer_reserve" },
	{ 0x43c9f44c, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd04a57ca, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb0f931, "bio_copy_data_iter" },
	{ 0x20c75ce2, "bioset_init" },
	{ 0xf50dcc4b, "init_user_ns" },
	{ 0x85745e5b, "request_key_tag" },
	{ 0x4e7facc7, "__register_chrdev" },
	{ 0x6e17348c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa0a0af2a, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3766ae8, "seq_printf" },
	{ 0xad49f321, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb743af7a, "deactivate_locked_super" },
	{ 0xef5bf4ab, "touch_atime" },
	{ 0x86ccc4e7, "filemap_read" },
	{ 0x7e67f88e, "__percpu_down_read" },
	{ 0xeda83401, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x82d5853f, "posix_acl_update_mode" },
	{ 0xa3c92b6, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x295079cf, "alloc_pages_noprof" },
	{ 0x4d2e794e, "__folio_lock" },
	{ 0x9e8e39df, "filemap_dirty_folio" },
	{ 0x6fff0c99, "is_bad_inode" },
	{ 0x91955a9f, "start_poll_synchronize_rcu" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbfd3ce70, "rcuwait_wake_up" },
	{ 0xfec3045, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x10df6f89, "inode_init_always_gfp" },
	{ 0x70458a3b, "filemap_splice_read" },
	{ 0x56b97da8, "kthread_unuse_mm" },
	{ 0xe17da0cf, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbe6a8c96, "zstd_cctx_workspace_bound" },
	{ 0xeb13f9c7, "__seq_puts" },
	{ 0xffc3de4b, "key_type_user" },
	{ 0x1804b207, "d_parent_ino" },
	{ 0x81188c30, "match_string" },
	{ 0xaf7a4b4a, "filemap_write_and_wait_range" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x9a88d05c, "__SCT__tp_func_contention_end" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd19fa88d, "generic_file_llseek_size" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf3b7117f, "closure_return_sync" },
	{ 0x3f0eabd2, "xxh64_update" },
	{ 0xb32171ae, "iov_iter_revert" },
	{ 0xa1bac398, "generic_write_checks" },
	{ 0xd0e9f378, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x832b5a8d, "filemap_fault" },
	{ 0x55ce9843, "crypto_alloc_shash" },
	{ 0x4578ae9c, "debugfs_create_dir" },
	{ 0xc57629d0, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7eaf89de, "make_bad_inode" },
	{ 0xd58095e3, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdd0762df, "set_worker_desc" },
	{ 0xceab0311, "strchrnul" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8a071551, "iov_iter_npages" },
	{ 0xf2628676, "zstd_compress_cctx" },
	{ 0xca32c815, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3f37857b, "class_register" },
	{ 0x1d3dc529, "kmem_cache_free_bulk" },
	{ 0x5cb09ade, "fault_in_iov_iter_readable" },
	{ 0xc80fe628, "__tracepoint_contention_begin" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x368c83c9, "start_poll_synchronize_srcu" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x268a8eb0, "fs_bio_set" },
	{ 0x5b3c9ca7, "kmem_cache_destroy" },
	{ 0xe28d2040, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2ede2833, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7fbc6c36, "blkdev_issue_discard" },
	{ 0xb1ce9fb6, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe30580b2, "crypto_skcipher_encrypt" },
	{ 0x3b011cef, "__bio_release_pages" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc2699df1, "generic_shutdown_super" },
	{ 0x58076db5, "bio_associate_blkg" },
	{ 0x853a3f0d, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x59ae9256, "vfs_fsync_range" },
	{ 0xdca2ad5a, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0x375f668, "filemap_migrate_folio" },
	{ 0xd0601657, "bdev_file_open_by_path" },
	{ 0x4822e9f, "shrinker_alloc" },
	{ 0x5ad240ec, "file_check_and_advance_wb_err" },
	{ 0xcbab3e13, "try_module_get" },
	{ 0x8064be22, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xc5cee5f4, "d_instantiate" },
	{ 0x52d94fe0, "make_vfsgid" },
	{ 0x2e8fdd72, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x23168f24, "clear_inode" },
	{ 0xcab7de9d, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4b567baf, "stack_trace_save_tsk" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0xa438b1ea, "param_ops_uint" },
	{ 0x6b1fdd54, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x87ae7cf6, "discard_new_inode" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x419f1e09, "bio_copy_data" },
	{ 0x4c7f712, "sysfs_create_file_ns" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x257ce82d, "__folio_batch_release" },
	{ 0x50d91bfa, "folio_unlock" },
	{ 0x8c1f4db3, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x25b5a316, "user_path_create" },
	{ 0xc0364007, "fault_in_writeable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6cd4d9aa, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xfd1b539f, "inode_sb_list_add" },
	{ 0x40296265, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0x4ae133e0, "user_path_locked_at" },
	{ 0x843018e6, "init_special_inode" },
	{ 0x4d402f9b, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xea4f4f07, "bpf_trace_run6" },
	{ 0xf1cbf7db, "iov_iter_single_seg_count" },
	{ 0x16ef8195, "device_unregister" },
	{ 0x7a98f4b4, "copy_from_user_nofault" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xceb4928e, "generic_error_remove_folio" },
	{ 0xf5acc07e, "__trace_trigger_soft_disabled" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xa47236c1, "nop_posix_acl_access" },
	{ 0x671060b9, "nop_posix_acl_default" },
	{ 0xd8d419da, "d_make_root" },
	{ 0x31d4d6d0, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x39ee2d67, "__put_task_struct" },
	{ 0xbfc97bdc, "up" },
	{ 0x9016047c, "closure_wait" },
	{ 0x97898729, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0x981893c0, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdcac32f4, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x75db46bf, "fd_install" },
	{ 0x99293763, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x7045cbfb, "trace_event_raw_init" },
	{ 0x8bc72ed9, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0xde2defd6, "from_vfsuid" },
	{ 0x8cfd20f1, "ihold" },
	{ 0x3ae24520, "page_get_link" },
	{ 0x9448606e, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x936afc4e, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xffe18609, "invalidate_inode_pages2_range" },
	{ 0x544c0f2a, "finish_open" },
	{ 0x8deea960, "iput" },
	{ 0xddaba088, "kset_unregister" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xb8370334, "iter_file_splice_write" },
	{ 0xab7aefc, "call_srcu" },
	{ 0xab22a71, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4923b87b, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xcdfae893, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x7b7ff05d, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xefd870ec, "register_filesystem" },
	{ 0x6acfd706, "__tracepoint_contention_end" },
	{ 0x8916fe76, "bdev_thaw" },
	{ 0x1200193f, "sync_inode_metadata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xfa2902b4, "filemap_add_folio" },
	{ 0x87f70963, "path_put" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0x5e9a1d38, "kthread_use_mm" },
	{ 0xf4a7c847, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7e73c166, "bio_iov_iter_get_pages" },
	{ 0x8a21af1a, "user_path_at" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x75e5e698, "make_vfsuid" },
	{ 0x9b1d17b6, "d_prune_aliases" },
	{ 0x1cf9e6ca, "wake_up_process" },
	{ 0x7f629a06, "shrinker_free" },
	{ 0xc401672f, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x9efc2051, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x9d197b6c, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x25777289, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x2bcfb6e2, "lock_two_nondirectories" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x9c19f87a, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xea2ddce1, "get_state_synchronize_srcu" },
	{ 0xb353b2e, "make_kprojid" },
	{ 0x1073a324, "__genradix_iter_peek_prev" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xcdd5dc7b, "__SCK__tp_func_contention_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0xc54c9f01, "__SCK__tp_func_contention_begin" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x40d04664, "console_trylock" },
	{ 0x6db0a2bc, "make_kuid" },
	{ 0xeb691ee1, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5e9078b7, "fs_kobj" },
	{ 0x606e933, "srcu_barrier" },
	{ 0x27bb311c, "bio_add_folio" },
	{ 0x42de28f1, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x99c5b8c9, "shrinker_register" },
	{ 0x885f640, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c83082f, "__free_pages" },
	{ 0x49816152, "poll_state_synchronize_srcu" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc1cdf9c0, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa3469d04, "submit_bio" },
	{ 0x6499e161, "mnt_drop_write_file" },
	{ 0x2dff358b, "module_put" },
	{ 0xe34aded3, "__destroy_inode" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xffd95bfc, "sysfs_create_link" },
	{ 0x4b5db849, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x33d3c1, "inode_init_once" },
	{ 0x59f3aad2, "bioset_exit" },
	{ 0x973d83a7, "file_write_and_wait_range" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8e3e0f7d, "fault_in_readable" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xca1648d4, "zstd_decompress_dctx" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x885a042b, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xb5db3b3d, "bio_put" },
	{ 0x6bbb8b19, "percpu_up_write" },
	{ 0x528b51f, "bio_endio" },
	{ 0x1ac4e14e, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd6789c6c, "posix_acl_create" },
	{ 0xfac9172, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x31061c93, "init_srcu_struct" },
	{ 0x235149dc, "perf_trace_run_bpf_submit" },
	{ 0xf8949f3b, "__bio_advance" },
	{ 0x6a514af8, "inode_bit_waitqueue" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x22fd4674, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x9a4321e0, "thp_get_unmapped_area" },
	{ 0x3fc701a9, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x5bd19929, "set_cached_acl" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x50a76a89, "truncate_pagecache" },
	{ 0x398547bd, "__srcu_read_lock" },
	{ 0xe72c66f5, "d_mark_tmpfile" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xcd68994b, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa389f96b, "device_create" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x2528bbf4, "page_symlink" },
	{ 0x155f951a, "bpf_trace_run5" },
	{ 0xb0ea7622, "bdev_fput" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x737e6121, "write_cache_pages" },
	{ 0xc65fc668, "file_update_time" },
	{ 0x6b2477d6, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x758650cb, "kmem_cache_alloc_lru_noprof" },
	{ 0x58a85ecc, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xf8613624, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xf60fe6aa, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x371bcbef, "bio_kmalloc" },
	{ 0xca5fa06c, "from_kgid" },
	{ 0x3ae34aeb, "zstd_init_dctx" },
	{ 0xd0d924e6, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8b1706ae, "folio_mkclean" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0x2ed70dd2, "crypto_shash_digest" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0x9c582de7, "bdev_freeze" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xada81fe7, "blkdev_issue_zeroout" },
	{ 0x3abb3e0f, "file_remove_privs" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c,lz4_compress,lz4hc_compress");


MODULE_INFO(srcversion, "2170FD557A50C642079022F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
