#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x76077c22, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x04a92113, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xf88878f1, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xcd1df847, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x647a5503, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xba2c112b, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xb4360d5f, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x624712fc, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xad6ad54b, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x7ba0b05f, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xbe8dfac6, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xe7c59b87, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x436ff7f6, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x1cc84e5a, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x400e62b0, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xeeca3043, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xeae65cb0, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xc9ab14a0, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x79011490, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x3ec9d51f, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x7c26008d, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x31dd6902, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x7480d1f6, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x30bc8553, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xcb2239e8, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0x0c986604, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x7e2dae4b, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xbb207291, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xd530d4e0, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x18a48110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x21e9a59f, "put_device" },
	{ 0x5d627ecd, "devlink_resource_register" },
	{ 0xcf50775, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xcb9300e, "netif_device_detach" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe0a78d29, "switchdev_bridge_port_offload" },
	{ 0xaa7c9f8c, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x2dff358b, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2bc2b755, "ptp_classify_raw" },
	{ 0x5dab4d10, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa399561, "devlink_region_create" },
	{ 0xc55ec720, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3e8bd74e, "__dev_get_by_index" },
	{ 0x70c72575, "rtnl_link_unregister" },
	{ 0x235149dc, "perf_trace_run_bpf_submit" },
	{ 0x77799fb3, "devlink_port_unregister" },
	{ 0x17841205, "_dev_err" },
	{ 0xd966511e, "init_net" },
	{ 0x289a2671, "noop_qdisc" },
	{ 0x109a78d2, "phy_ethtool_get_strings" },
	{ 0x81662d30, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xb2e90dd7, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x66440455, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x4d1b5523, "dev_remove_pack" },
	{ 0x155f951a, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x957922a0, "gro_cells_receive" },
	{ 0x5e46df00, "switchdev_handle_port_obj_del_foreign" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xf7ca0210, "skb_push" },
	{ 0x7b122a07, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x7cabb3f3, "dev_mc_del" },
	{ 0xd0d924e6, "trace_event_reg" },
	{ 0xf21d072b, "br_vlan_get_info" },
	{ 0x1bd543f8, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfaf5b011, "mdiobus_free" },
	{ 0x791b18e8, "sysfs_create_group" },
	{ 0x8ca0d625, "devlink_resource_occ_get_register" },
	{ 0x955ec4cc, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xd8a35b9b, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x6a007241, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x90fee208, "switchdev_bridge_port_unoffload" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x35433ffd, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x7b426b2d, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x8a204e18, "netif_rx" },
	{ 0x30787cee, "dev_mc_add" },
	{ 0x3fde57c6, "flow_block_cb_alloc" },
	{ 0x46decf26, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbbb9bc98, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfbc2d955, "__dynamic_netdev_dbg" },
	{ 0xa91b2083, "pv_ops" },
	{ 0x78371c1, "sysfs_remove_group" },
	{ 0x6103ea95, "net_selftest" },
	{ 0x50839301, "bpf_trace_run3" },
	{ 0xb7900bb3, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x8957a0fd, "devlink_port_init" },
	{ 0xbfb2b432, "__netpoll_setup" },
	{ 0x4c654210, "__dev_queue_xmit" },
	{ 0x146d64cc, "vlan_vid_add" },
	{ 0x2655d604, "devlink_params_register" },
	{ 0x729940fe, "trace_event_buffer_reserve" },
	{ 0x1b5ff2a, "br_vlan_get_info_rcu" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x353fde85, "vlan_vid_del" },
	{ 0x5636e24f, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x67a6555e, "devlink_resources_unregister" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xe3ee54ef, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbd0f3e1c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb8a2b5ab, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7bf91a70, "devlink_port_region_create" },
	{ 0xef7ae09f, "devlink_priv" },
	{ 0x30195d8c, "skb_copy" },
	{ 0x443780c8, "__hw_addr_sync_dev" },
	{ 0x8c2993de, "devlink_port_register_with_ops" },
	{ 0xc7b2442b, "mdiobus_get_phy" },
	{ 0xfe997a27, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x1f57626a, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xff69a1ed, "dev_uc_add" },
	{ 0xa438565e, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1eef8681, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5fff2bc7, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x1ed10912, "dev_kfree_skb_any_reason" },
	{ 0x3b7ceaae, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x61e092bb, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xbc2b0a25, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x26fd105b, "dcb_ieee_setapp" },
	{ 0x3b855678, "phy_ethtool_get_sset_count" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x3fc017ba, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x56a08a6f, "__skb_vlan_pop" },
	{ 0x8145f3a, "phylink_connect_phy" },
	{ 0x9b1bb693, "br_get_ageing_time" },
	{ 0x5169869f, "register_netdevice" },
	{ 0x2b465f06, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x912e0b72, "netdev_lower_get_next" },
	{ 0xde224702, "flow_block_cb_lookup" },
	{ 0x1c176d49, "switchdev_handle_port_obj_add_foreign" },
	{ 0x54c38f0c, "devlink_resource_occ_get_unregister" },
	{ 0x323a9ebd, "dev_set_mtu" },
	{ 0x2f5ba91, "br_vlan_enabled" },
	{ 0xad7696a6, "__skb_pad" },
	{ 0xcbab3e13, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c5b120d, "skb_ensure_writable_head_tail" },
	{ 0xcab7de9d, "bpf_trace_run4" },
	{ 0x4a4f4f7a, "devlink_unregister" },
	{ 0x5c3d1a1c, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xb94576a1, "br_port_flag_is_set" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa9f47f22, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3fc5daf, "br_port_get_stp_state" },
	{ 0xc3417def, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3c848871, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6c24864d, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa179f089, "__netpoll_free" },
	{ 0x40296265, "trace_raw_output_prep" },
	{ 0xecfe7490, "br_vlan_get_proto" },
	{ 0x1204bfaf, "br_mst_get_state" },
	{ 0x654b92, "unregister_netdev" },
	{ 0xf5acc07e, "__trace_trigger_soft_disabled" },
	{ 0x31d4d6d0, "trace_event_printf" },
	{ 0xb3ba6ef0, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xefb2e03f, "netpoll_send_skb" },
	{ 0xee7751b1, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x20ed5853, "devlink_params_unregister" },
	{ 0x60344696, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x7045cbfb, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8aa4a7bb, "devlink_alloc_ns" },
	{ 0xaa99ebf2, "dev_set_promiscuity" },
	{ 0x60956622, "devlink_register" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0xa2a055d, "devlink_free" },
	{ 0x629a2b9d, "gro_cells_init" },
	{ 0xab22a71, "bpf_trace_run2" },
	{ 0x4f10436e, "netdev_warn" },
	{ 0x8309826c, "unregister_netdevice_queue" },
	{ 0x7c5bb70, "get_device" },
	{ 0xdbc40190, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x3418a317, "ether_setup" },
	{ 0x54263d17, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x6ce80aa8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b4d8ced, "netdev_upper_dev_link" },
	{ 0x997bd04f, "pskb_expand_head" },
	{ 0xd0d43bf8, "switchdev_handle_port_attr_set" },
	{ 0xc6b42ae3, "phylink_create" },
	{ 0x27d6aa25, "vlan_for_each" },
	{ 0x78f34115, "netdev_port_same_parent_id" },
	{ 0xc401672f, "trace_event_buffer_commit" },
	{ 0xb4eaae10, "dev_addr_mod" },
	{ 0x5782c9d4, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x80f2019a, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x38c2d7f3, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1b0038ac, "vlan_dev_vlan_proto" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "21E43703C74EF3BBF0943BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
