#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x31029bb0, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x1f33d9c8, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xdd04d32c, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x27b2c352, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xd5663343, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x58b2d78b, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x5ab49143, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xd291c10c, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xeb9a9e19, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xf667fd5a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f010841, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0xdca63d52, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc7f4b85b, "iptunnel_xmit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x954ffe4d, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbb9bc98, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfbc2d955, "__dynamic_netdev_dbg" },
	{ 0x5875ae85, "dst_cache_get_ip4" },
	{ 0xad2b6cee, "sock_create_kern" },
	{ 0xdef8bf11, "call_netdevice_notifiers" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x68dfaf30, "metadata_dst_alloc" },
	{ 0xfe997a27, "dst_release" },
	{ 0x8beb5b08, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2b87b4a6, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a7f99aa, "dst_cache_set_ip4" },
	{ 0x654b555b, "kernel_bind" },
	{ 0x9c3e21b7, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f10436e, "netdev_warn" },
	{ 0x8d2c2477, "udp_tunnel_nic_ops" },
	{ 0xe2f99bcf, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
