#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x78c64ffd, "");
SYMBOL_CRC(fw_iso_resources_init, 0x3c7b899d, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xfeb6e40e, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xd88cf8e0, "");
SYMBOL_CRC(fw_iso_resources_update, 0x6b04b9a9, "");
SYMBOL_CRC(fw_iso_resources_free, 0x2e3950ef, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x53e72dc9, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0xa8cf3c2b, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x9201f242, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x5be99b14, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x3e592ef9, "");
SYMBOL_CRC(fcp_avc_transaction, 0xc0df6ac7, "");
SYMBOL_CRC(fcp_bus_reset, 0x3c87cd94, "");
SYMBOL_CRC(cmp_connection_init, 0x3da433e5, "");
SYMBOL_CRC(cmp_connection_check_used, 0xbca2ebd4, "");
SYMBOL_CRC(cmp_connection_destroy, 0x7217988b, "");
SYMBOL_CRC(cmp_connection_reserve, 0xeb6bbdc9, "");
SYMBOL_CRC(cmp_connection_release, 0x1f6af7be, "");
SYMBOL_CRC(cmp_connection_establish, 0xbe099b48, "");
SYMBOL_CRC(cmp_connection_update, 0xe2b0fd23, "");
SYMBOL_CRC(cmp_connection_break, 0x7d4c167f, "");
SYMBOL_CRC(amdtp_stream_init, 0x76a99b2f, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xd0b9e35c, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xf8ecd0cc, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x2fa40d33, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x4ff55d02, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xf62e213a, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xeffa7a2c, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x865e6f5b, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x306b525c, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xac176109, "");
SYMBOL_CRC(amdtp_domain_init, 0x560727b2, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x02bbdbe0, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0xaf91151a, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x098ed7be, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x2c5ee7ba, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0xd80169b0, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x57b5ab24, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0xb94a9f1d, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0xf40daf25, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x00c2a3d6, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0xe125325d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7045cbfb, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3d10a230, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x8f658a4e, "fw_core_remove_address_handler" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x3cc8eeab, "fw_iso_context_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6bcfff8e, "fw_core_add_address_handler" },
	{ 0xc401672f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa076ddec, "snd_pcm_hw_rule_add" },
	{ 0x5a9c09bd, "fw_iso_context_queue" },
	{ 0xc6af165b, "_dev_info" },
	{ 0x1353a5ec, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x235149dc, "perf_trace_run_bpf_submit" },
	{ 0x17841205, "_dev_err" },
	{ 0x6da8ebd2, "fw_iso_buffer_destroy" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xd0d924e6, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xee3d9b2d, "fw_iso_resource_manage" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6e702de4, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb2c69f0b, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x729940fe, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbbe6c1dd, "snd_pcm_stop_xrun" },
	{ 0xfe75646e, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x22bf3e83, "snd_pcm_period_elapsed" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xaa284b2b, "fw_iso_context_flush_completions" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x46f882c9, "fw_iso_context_destroy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xd63e19e6, "fw_run_transaction" },
	{ 0x88b57109, "snd_rawmidi_receive" },
	{ 0x570d9a49, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x33f0094f, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40296265, "trace_raw_output_prep" },
	{ 0xf5acc07e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x31d4d6d0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbdfbac70, "snd_pcm_hw_constraint_minmax" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "74B4C99841680DC97763886");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
