#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xb30244bc, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xb294008e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xcbb1750a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x53a030c4, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x824ef2ec, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xc533f2f5, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x3c4f60be, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x8c352559, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x7f839b51, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x4ab4643c, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xcf3e9ee8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x319c681b, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x06d00ed8, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xd6e05ca1, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x7b6d3a75, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xf0a25bdb, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x123a5368, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x6dcd62b4, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x76704779, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xa55317ca, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x8cd2e3d1, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xa9be55c7, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x49b4ef0d, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xaf4c18d6, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xfd38f380, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xf535103f, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0xa882a074, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x57e0e7d6, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x074946e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x1add5eb3, "regmap_raw_write" },
	{ 0xb8a361a5, "regmap_raw_read" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x45757b08, "regmap_read" },
	{ 0xc6af165b, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xb5729c46, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0x78b630cc, "regmap_raw_write_async" },
	{ 0x29687f14, "regmap_update_bits_base" },
	{ 0x9915312e, "regmap_write" },
	{ 0x9225a710, "regmap_multi_reg_write" },
	{ 0x253e2421, "regmap_bulk_read" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0x3593813, "devm_kfree" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xae50562d, "devm_kasprintf" },
	{ 0xf8613624, "debugfs_remove" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x80a37753, "seq_lseek" },
	{ 0xa66984ca, "seq_read" },
	{ 0x549321a8, "single_release" },
	{ 0x35f2db01, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4578ae9c, "debugfs_create_dir" },
	{ 0xd133d6a4, "debugfs_create_bool" },
	{ 0xfaaf6510, "debugfs_create_x32" },
	{ 0xa5a92a35, "debugfs_create_file" },
	{ 0x3c68ea2, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x17841205, "_dev_err" },
	{ 0xa3766ae8, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
