#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0xe0808833, "");
SYMBOL_CRC(ishtp_start, 0xf1d3d15c, "");
SYMBOL_CRC(ishtp_send_suspend, 0x7c8439db, "");
SYMBOL_CRC(ishtp_send_resume, 0x600f0c99, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x5759e7c9, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x5f3ae652, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x7a4b9564, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x3d61929a, "");
SYMBOL_CRC(ishtp_cl_free, 0x366b0407, "");
SYMBOL_CRC(ishtp_cl_link, 0x63ecdf1d, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x85bfee9b, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xe8e907fc, "");
SYMBOL_CRC(ishtp_cl_connect, 0xd30cca44, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0xfaa1d19c, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x70d9025f, "");
SYMBOL_CRC(ishtp_cl_send, 0x6f53be68, "");
SYMBOL_CRC(ishtp_get_client_data, 0x50fb95f2, "");
SYMBOL_CRC(ishtp_set_client_data, 0xb457db72, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x420c665d, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0xb22da079, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x9a344975, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x9b8e1f67, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xa060399a, "");
SYMBOL_CRC(ishtp_recv, 0x8b73c551, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xcf1bd014, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x7909629d, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x79567ad0, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x83396553, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xa1e1844e, "");
SYMBOL_CRC(ishtp_get_device, 0xb6ab1e8a, "");
SYMBOL_CRC(ishtp_put_device, 0x45d4ded4, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x467734cc, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x6448e2ee, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x6d522bc2, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x5ee49cb0, "");
SYMBOL_CRC(ishtp_reset_handler, 0xe693e51f, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x9e65a666, "");
SYMBOL_CRC(ishtp_device, 0x20ebeebe, "");
SYMBOL_CRC(ishtp_wait_resume, 0x705688b3, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xf5111898, "");
SYMBOL_CRC(ishtp_trace_callback, 0xffd19780, "");
SYMBOL_CRC(ish_hw_reset, 0xa9e27773, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xbf520429, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x9846c885, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x7d07e3e4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21e9a59f, "put_device" },
	{ 0xc6af165b, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1d3ef5fd, "bus_unregister" },
	{ 0x17841205, "_dev_err" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6d326ec3, "dma_alloc_attrs" },
	{ 0x584e2e25, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x1e86f851, "device_register" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd8c39cf, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x31195205, "dev_err_probe" },
	{ 0xa00b822a, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x25b466f4, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5bef5d7, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xfcdcb522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2d756832, "firmware_request_nowarn" },
	{ 0x44d07872, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16ef8195, "device_unregister" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "11AC380141CDAABE4B2E5C2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
