#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xb2d81b0d, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xb595b8f2, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x3cd3711b, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x55203ac6, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x32fec950, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x128b02a4, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x487a4f5a, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x22b75e1b, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xd180e0c6, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x4e980c9e, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xc8d1033f, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xc84f76d5, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x46afed85, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x61313055, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x384758d9, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x5a992bda, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x56a5eaa8, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xea463e0d, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xb16e336e, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xb09dca7d, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xb27dbdfc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98d58cf9, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x4055dda3, "sysfs_notify" },
	{ 0xd091ee7e, "kobject_uevent" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0x6993b1a2, "rdev_get_dev" },
	{ 0xca9adc8c, "rdev_get_id" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa91e998e, "regulator_notifier_call_chain" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x54ccf6fb, "i2c_smbus_xfer" },
	{ 0x17841205, "_dev_err" },
	{ 0x5602d8a8, "device_create_file" },
	{ 0xa00b822a, "__devm_add_action" },
	{ 0x4f54dccd, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2231cd3f, "devm_hwmon_device_register_with_groups" },
	{ 0x27505349, "devm_regulator_register" },
	{ 0x31195205, "dev_err_probe" },
	{ 0xa088ca2f, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0xa5a92a35, "debugfs_create_file" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0xb342abd8, "noop_llseek" },
	{ 0x35f2db01, "simple_open" },
	{ 0x1e2eb0e7, "debugfs_attr_read" },
	{ 0x55de2622, "debugfs_attr_write" },
	{ 0xbd0800e, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc9265948, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdecd2904, "devm_krealloc" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4578ae9c, "debugfs_create_dir" },
	{ 0xf8613624, "debugfs_remove" },
	{ 0xc1bb0610, "simple_attr_open" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1c100f9f, "i2c_smbus_write_byte_data" },
	{ 0x59fde40b, "i2c_smbus_read_byte_data" },
	{ 0x6399bc6a, "i2c_smbus_write_byte" },
	{ 0xbff53b2b, "i2c_smbus_write_word_data" },
	{ 0x30761099, "i2c_smbus_read_word_data" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8777F6FA7D631D901E276E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
