#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x4cb3bd2e, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xabbc8a04, "_gpl");
SYMBOL_CRC(media_device_init, 0x316cc13f, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x1e3423c9, "_gpl");
SYMBOL_CRC(__media_device_register, 0x0ed38564, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x1ee26a98, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x5209a884, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x05d290a7, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x19c56606, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x701b20e1, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x5ee1c1d2, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x001f7ee1, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x53fa2244, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x140fd9fc, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x4edbea35, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x985573c3, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x2f91ef99, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x096e5d84, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x08a6f8f3, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xae8dd4ac, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xb3f35b2d, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x09861c83, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xdb83144c, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xa88e93aa, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xb3502f47, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x0f581421, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x51fe26f9, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x0c15266f, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x0dd84044, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xc2fd29d6, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xae97a4b2, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x5ee7e97b, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xea1b3009, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xf64d9e3d, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x0928e740, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xf4cc7613, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x7a4a04cc, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xd0e0b37e, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x80d49e36, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x79ca906b, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xdcad27cf, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x67b811d6, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x8c444a12, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x8e06a076, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x22bb9450, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x43d3f7f8, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x3ce68670, "_gpl");
SYMBOL_CRC(media_request_put, 0x41b1ec02, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xf9718898, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xc06d745a, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x18137d21, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x0ee40fa4, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x78118e1c, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x7bc5c954, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x3273892d, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x948d631d, "_gpl");
SYMBOL_CRC(media_device_delete, 0xc01c4449, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x46954a0d, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21e9a59f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8ab877e, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2dff358b, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5602d8a8, "device_create_file" },
	{ 0x1d3ef5fd, "bus_unregister" },
	{ 0x15e1c321, "fput" },
	{ 0x17841205, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6573f300, "ida_free" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd25e6aba, "platform_bus_type" },
	{ 0xfc2eb380, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3751623d, "cdev_init" },
	{ 0x87cbeadf, "pci_bus_type" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xc9265948, "device_remove_file" },
	{ 0xfcdcb522, "bus_register" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xcbab3e13, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8064be22, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44d07872, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x86c7ecf2, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x42b7ff9e, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x75db46bf, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x7c5bb70, "get_device" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21B94BF6E3BCC15A005A0EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
