#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0xc3743a89, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xff579f3e, "");
SYMBOL_CRC(bttv_sub_unregister, 0x9428c76a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ac3cf01, "snd_tea575x_enum_freq_bands" },
	{ 0x9174bf6f, "vb2_buffer_done" },
	{ 0x584e2e25, "driver_unregister" },
	{ 0xf135ca1b, "vb2_plane_vaddr" },
	{ 0xcaa107ee, "v4l2_ctrl_subscribe_event" },
	{ 0x3b62959e, "snd_tea575x_s_hw_freq_seek" },
	{ 0xde80cd09, "ioremap" },
	{ 0x22ac1ec, "video_unregister_device" },
	{ 0xead4e807, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe2d910e9, "i2c_new_client_device" },
	{ 0xafbea81d, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9da6130c, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x1e86f851, "device_register" },
	{ 0xc26a5ca3, "rc_free_device" },
	{ 0x4c905be5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xd2e5c86b, "vb2_fop_read" },
	{ 0x6ff82a79, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x38672400, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe77b2ba, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd8c39cf, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d8f2920, "snd_tea575x_hw_init" },
	{ 0xb9e053a1, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3bcdb3d, "pci_write_config_byte" },
	{ 0x1baf4531, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3b22bfa, "vb2_ioctl_streamon" },
	{ 0x960ac3d4, "vb2_fop_poll" },
	{ 0x26d864b9, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xc4549d6e, "v4l2_ctrl_handler_free" },
	{ 0x4ce25a80, "v4l2_device_unregister" },
	{ 0x94a05a82, "pci_disable_device" },
	{ 0x1388640b, "vb2_wait_for_all_buffers" },
	{ 0xfc0c3ebb, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xd9ba78a8, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x9ec05008, "v4l2_i2c_new_subdev" },
	{ 0xaf0e41af, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x25b466f4, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6220a9a2, "video_device_release_empty" },
	{ 0x5bef5d7, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x536a4af9, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf6a0eeb3, "v4l2_event_unsubscribe" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfcdcb522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x49b391e1, "vb2_ioctl_reqbufs" },
	{ 0x7b2d5d70, "vb2_queue_init" },
	{ 0x13855fe7, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2837f767, "vb2_dma_sg_memops" },
	{ 0x2d1a7c96, "v4l2_ctrl_poll" },
	{ 0x9cc79f48, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb4bf3201, "pci_enable_device" },
	{ 0x79b180a7, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c2c68d3, "v4l2_ctrl_radio_filter" },
	{ 0x44d07872, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2443c38f, "i2c_bit_add_bus" },
	{ 0x1b270e70, "v4l2_ctrl_add_handler" },
	{ 0x16ef8195, "device_unregister" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xba71e67c, "pci_get_device" },
	{ 0xb9eab1ad, "request_firmware" },
	{ 0xa30b23cc, "vb2_ops_wait_finish" },
	{ 0xa18bd8c1, "__pci_register_driver" },
	{ 0x53fe04b6, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xda5e7645, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf4366b2, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe25c1d96, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x62159965, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x68f6a6e4, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xb45890ec, "v4l2_ctrl_handler_log_status" },
	{ 0x9ed6da91, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7330e99f, "video_devdata" },
	{ 0x21e9a59f, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x6325c760, "vb2_fop_release" },
	{ 0x3bfe0ebd, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6593023, "v4l2_ctrl_find" },
	{ 0xcdd6f37a, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe6dd82e7, "__v4l2_ctrl_s_ctrl" },
	{ 0xfff9030a, "vb2_plane_cookie" },
	{ 0x5602d8a8, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb085de2a, "rc_keyup" },
	{ 0x7b18b3b3, "vb2_ioctl_dqbuf" },
	{ 0x1d3ef5fd, "bus_unregister" },
	{ 0x6a592863, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2bbb89cd, "tveeprom_read" },
	{ 0x56c69d73, "v4l2_ctrl_new_custom" },
	{ 0xc2b3501, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8b39eb92, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3ad1c826, "rc_register_device" },
	{ 0x6d326ec3, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x81787517, "rc_keydown" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "tea575x,videobuf2-common,videodev,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "37E27DBB880D5C37827DABE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
