#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xabb57df0, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x12da0bbf, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x163d0869, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x7203dee7, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x55a5ef98, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x50564eee, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xec05560f, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0xfdb56fef, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x3a4a3687, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xbfcbe072, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xfbf10d70, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x3e733183, "_gpl");
SYMBOL_CRC(nand_status_op, 0x5848c723, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x64ffe5af, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xa6c557cc, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x88fb9cb1, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x76718d84, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x17d6f420, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x503448cd, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xdf68c473, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x07c66812, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xfcd9fb94, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xe94b3ff4, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x8bb43c52, "");
SYMBOL_CRC(nand_write_oob_std, 0x70954f4c, "");
SYMBOL_CRC(nand_write_page_raw, 0x97c7cb77, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x5424e1a7, "");
SYMBOL_CRC(nand_decode_ext_id, 0xcd8f026d, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xa4730c71, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xfa5c0429, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xd086f63a, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xaf5a9d7b, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x2b23de31, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xc42f5ae2, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0xecc4b05a, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0xc772e8a8, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x252488f5, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0xbc9a6c7d, "");
SYMBOL_CRC(nand_cleanup, 0x97b78ef1, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x6c377b61, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x6c3aa651, "");
SYMBOL_CRC(nand_create_bbt, 0x958121cf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1534214a, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x80a1a92d, "mtd_ooblayout_get_databytes" },
	{ 0x81188c30, "match_string" },
	{ 0xfb327611, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6d2bcdf, "nanddev_mtd_max_bad_blocks" },
	{ 0xb4ce8fca, "nand_ecc_sw_bch_calculate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x6b6bf648, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2f817e3d, "mtd_read_oob" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xfe02c3b8, "gpiod_count" },
	{ 0x742cd7b2, "nanddev_cleanup" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2f98c162, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc9a2006c, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xd245930e, "gpiod_get_index_optional" },
	{ 0xda3cbaba, "nand_ecc_sw_hamming_init_ctx" },
	{ 0x2abcf63, "nanddev_init" },
	{ 0xb0f91a59, "nand_ecc_sw_bch_correct" },
	{ 0x63c550b3, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x98653441, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x74ce74e6, "nand_ecc_sw_hamming_calculate" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e4d460e, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x321b3d27, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x17841205, "_dev_err" },
	{ 0x423f19ef, "nand_ecc_is_strong_enough" },
	{ 0x977615f1, "mtd_write_oob" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x170b8ab1, "nand_get_small_page_ooblayout" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x3d263bcb, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x23a7e506, "mtd_read" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7989fc41, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcd30c01d, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
