#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x04a621d3, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x81699720, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9082c93, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf7ca0210, "skb_push" },
	{ 0x6d326ec3, "dma_alloc_attrs" },
	{ 0x6cb755ef, "napi_enable" },
	{ 0x92f67df9, "netif_receive_skb" },
	{ 0xad4ca8fd, "register_netdev" },
	{ 0x1bd543f8, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9516ccb9, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x955ec4cc, "ethtool_op_get_link" },
	{ 0xd4238ef0, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbde315bb, "pci_iounmap" },
	{ 0xad0ebcce, "pci_restore_state" },
	{ 0xece397c0, "netif_tx_wake_queue" },
	{ 0x2231cd3f, "devm_hwmon_device_register_with_groups" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0x4c905be5, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b7df2fa, "__pskb_pull_tail" },
	{ 0x15c8d6b4, "netif_tx_lock" },
	{ 0x15725e1e, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa7a6b81, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd8c39cf, "dma_free_attrs" },
	{ 0xe9767925, "pci_enable_wake" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xed7a5376, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6e17348c, "__folio_put" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbd0f3e1c, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c6165f3, "skb_clone" },
	{ 0x443780c8, "__hw_addr_sync_dev" },
	{ 0x13c5d9c4, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x898b892e, "netif_carrier_on" },
	{ 0x18e582f9, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x295079cf, "alloc_pages_noprof" },
	{ 0x94a05a82, "pci_disable_device" },
	{ 0xfc0c3ebb, "dma_set_mask" },
	{ 0xa11f9b6d, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x6df328db, "napi_schedule_prep" },
	{ 0xd3f96e9c, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xaa125d5e, "napi_disable" },
	{ 0x1ed10912, "dev_kfree_skb_any_reason" },
	{ 0x6ead63d3, "_dev_printk" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2774dd69, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d4757a2, "pci_write_config_dword" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xbb6b971, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8920b277, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3eba542b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xad7696a6, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe02f3b63, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2377f173, "skb_copy_bits" },
	{ 0xa438b1ea, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb4bf3201, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xec3e4c9c, "param_ops_ushort" },
	{ 0xc3417def, "consume_skb" },
	{ 0x2499e5fe, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xdab864a3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x5c323dfc, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6eed8042, "ndo_dflt_bridge_getlink" },
	{ 0x654b92, "unregister_netdev" },
	{ 0x7586d73e, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf083c5dd, "dma_unmap_page_attrs" },
	{ 0xb9eab1ad, "request_firmware" },
	{ 0xa18bd8c1, "__pci_register_driver" },
	{ 0x65625a9b, "pci_num_vf" },
	{ 0x97ee7d22, "pci_request_regions" },
	{ 0xc233a0e, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1777e172, "pci_sriov_get_totalvfs" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0xecc9d9f4, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8d2c2477, "udp_tunnel_nic_ops" },
	{ 0xe777463e, "__netif_napi_del" },
	{ 0xd28198cc, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x68f6a6e4, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x997bd04f, "pskb_expand_head" },
	{ 0xf79b99e2, "dev_driver_string" },
	{ 0xb4eaae10, "dev_addr_mod" },
	{ 0x5782c9d4, "eth_type_trans" },
	{ 0x3ca478dd, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb6c65892, "dma_map_page_attrs" },
	{ 0x60f5898e, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x32ee1fb4, "__napi_schedule" },
	{ 0x39b8f02a, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb9300e, "netif_device_detach" },
	{ 0xb2e038d6, "__hw_addr_unsync_dev" },
	{ 0xc6af165b, "_dev_info" },
	{ 0xaa7c9f8c, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x57404d2d, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x17841205, "_dev_err" },
	{ 0x8466105b, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7bbb781d, "netif_set_real_num_tx_queues" },
	{ 0x66440455, "sk_skb_reason_drop" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8F19807B53974A8F11B3ED8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
