#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtl_tid_to_ac, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_deferred_work, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rfkill, "", "");
KSYMTAB_FUNC(rtl_deinit_rfkill, "_gpl", "");
KSYMTAB_FUNC(rtl_init_core, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_core, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rx_config, "_gpl", "");
KSYMTAB_FUNC(rtl_mrate_idx_to_arfr_id, "", "");
KSYMTAB_FUNC(rtlwifi_rate_mapping, "", "");
KSYMTAB_FUNC(rtl_get_tcb_desc, "", "");
KSYMTAB_FUNC(rtl_tx_mgmt_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_action_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_is_special_data, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_ackqueue, "_gpl", "");
KSYMTAB_FUNC(rtl_set_tx_report, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_report_handler, "_gpl", "");
KSYMTAB_FUNC(rtl_get_hal_edca_param, "_gpl", "");
KSYMTAB_FUNC(rtl_rx_ampdu_apply, "", "");
KSYMTAB_FUNC(rtl_beacon_statistic, "_gpl", "");
KSYMTAB_FUNC(rtl_collect_scan_list, "", "");
KSYMTAB_FUNC(rtl_c2hcmd_enqueue, "", "");
KSYMTAB_FUNC(rtl_send_smps_action, "", "");
KSYMTAB_FUNC(rtl_phy_scan_operation_backup, "", "");
KSYMTAB_FUNC(rtl_recognize_peer, "_gpl", "");
KSYMTAB_DATA(rtl_global_var, "_gpl", "");
KSYMTAB_FUNC(rtl_cam_add_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_delete_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_reset_all_entry, "", "");
KSYMTAB_FUNC(rtl_cam_mark_invalid, "", "");
KSYMTAB_FUNC(rtl_cam_empty_entry, "", "");
KSYMTAB_FUNC(rtl_cam_get_free_entry, "", "");
KSYMTAB_FUNC(rtl_cam_del_entry, "", "");
KSYMTAB_DATA(channel5g, "", "");
KSYMTAB_DATA(channel5g_80m, "", "");
KSYMTAB_FUNC(rtl_addr_delay, "", "");
KSYMTAB_FUNC(rtl_rfreg_delay, "", "");
KSYMTAB_FUNC(rtl_bb_delay, "", "");
KSYMTAB_FUNC(rtl_fw_cb, "", "");
KSYMTAB_FUNC(rtl_wowlan_fw_cb, "", "");
KSYMTAB_FUNC(rtl_update_beacon_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_hal_pwrseqcmdparsing, "", "");
KSYMTAB_FUNC(rtl_cmd_send_packet, "", "");
KSYMTAB_FUNC(rtl_init_sw_leds, "", "");
KSYMTAB_DATA(rtl_ops, "_gpl", "");
KSYMTAB_FUNC(rtl_btc_status_false, "_gpl", "");
KSYMTAB_FUNC(rtl_dm_diginit, "", "");
KSYMTAB_FUNC(_rtl_dbg_print, "_gpl", "");
KSYMTAB_FUNC(_rtl_dbg_print_data, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_add_one, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_remove_one, "_gpl", "");
KSYMTAB_FUNC(efuse_read_1byte, "", "");
KSYMTAB_FUNC(read_efuse_byte, "_gpl", "");
KSYMTAB_FUNC(efuse_shadow_read, "", "");
KSYMTAB_FUNC(rtl_efuse_shadow_map_update, "", "");
KSYMTAB_FUNC(efuse_one_byte_read, "", "");
KSYMTAB_FUNC(efuse_power_switch, "", "");
KSYMTAB_FUNC(rtl_get_hwinfo, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_block_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_page_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fill_dummy, "_gpl", "");
KSYMTAB_FUNC(rtl_efuse_ops_init, "_gpl", "");
KSYMTAB_FUNC(rtl_ps_enable_nic, "", "");
KSYMTAB_FUNC(rtl_ps_disable_nic, "", "");
KSYMTAB_FUNC(rtl_ips_nic_on, "_gpl", "");
KSYMTAB_FUNC(rtl_swlps_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_change_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_enter, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_leave, "_gpl", "");
KSYMTAB_FUNC(rtl_p2p_info, "_gpl", "");
KSYMTAB_FUNC(rtl_query_rxpwrpercentage, "", "");
KSYMTAB_FUNC(rtl_evm_db_to_percentage, "", "");
KSYMTAB_FUNC(rtl_signal_scale_mapping, "", "");
KSYMTAB_FUNC(rtl_process_phyinfo, "", "");

SYMBOL_CRC(rtl_tid_to_ac, 0x97e05663, "_gpl");
SYMBOL_CRC(rtl_deinit_deferred_work, 0x618e80bd, "_gpl");
SYMBOL_CRC(rtl_init_rfkill, 0xaefaf9e4, "");
SYMBOL_CRC(rtl_deinit_rfkill, 0xd6b3b9f1, "_gpl");
SYMBOL_CRC(rtl_init_core, 0x4062538d, "_gpl");
SYMBOL_CRC(rtl_deinit_core, 0x37dc52cd, "_gpl");
SYMBOL_CRC(rtl_init_rx_config, 0xbbe042d8, "_gpl");
SYMBOL_CRC(rtl_mrate_idx_to_arfr_id, 0x955f8a32, "");
SYMBOL_CRC(rtlwifi_rate_mapping, 0x94299419, "");
SYMBOL_CRC(rtl_get_tcb_desc, 0x6d25b7ad, "");
SYMBOL_CRC(rtl_tx_mgmt_proc, 0xa6ea4bec, "_gpl");
SYMBOL_CRC(rtl_action_proc, 0x5cbfa07c, "_gpl");
SYMBOL_CRC(rtl_is_special_data, 0x6b167d08, "_gpl");
SYMBOL_CRC(rtl_tx_ackqueue, 0xb592543b, "_gpl");
SYMBOL_CRC(rtl_set_tx_report, 0x0acab616, "_gpl");
SYMBOL_CRC(rtl_tx_report_handler, 0x51cd0bc8, "_gpl");
SYMBOL_CRC(rtl_get_hal_edca_param, 0x983ee173, "_gpl");
SYMBOL_CRC(rtl_rx_ampdu_apply, 0xb76c62c0, "");
SYMBOL_CRC(rtl_beacon_statistic, 0x46717a52, "_gpl");
SYMBOL_CRC(rtl_collect_scan_list, 0x1bbfb9cb, "");
SYMBOL_CRC(rtl_c2hcmd_enqueue, 0xe3746f62, "");
SYMBOL_CRC(rtl_send_smps_action, 0xa0c3a1e6, "");
SYMBOL_CRC(rtl_phy_scan_operation_backup, 0x281c5413, "");
SYMBOL_CRC(rtl_recognize_peer, 0x2f4a1aab, "_gpl");
SYMBOL_CRC(rtl_global_var, 0x403d2c46, "_gpl");
SYMBOL_CRC(rtl_cam_add_one_entry, 0xd5f3a0c7, "");
SYMBOL_CRC(rtl_cam_delete_one_entry, 0x875e2d66, "");
SYMBOL_CRC(rtl_cam_reset_all_entry, 0x6d901a22, "");
SYMBOL_CRC(rtl_cam_mark_invalid, 0xba0dd262, "");
SYMBOL_CRC(rtl_cam_empty_entry, 0x1e777e84, "");
SYMBOL_CRC(rtl_cam_get_free_entry, 0x9117d26c, "");
SYMBOL_CRC(rtl_cam_del_entry, 0xdeb82ffb, "");
SYMBOL_CRC(channel5g, 0x54824f58, "");
SYMBOL_CRC(channel5g_80m, 0x0b038e24, "");
SYMBOL_CRC(rtl_addr_delay, 0x1b945315, "");
SYMBOL_CRC(rtl_rfreg_delay, 0xced0a783, "");
SYMBOL_CRC(rtl_bb_delay, 0xd88477ff, "");
SYMBOL_CRC(rtl_fw_cb, 0x8ea60059, "");
SYMBOL_CRC(rtl_wowlan_fw_cb, 0xebedfe5f, "");
SYMBOL_CRC(rtl_update_beacon_work_callback, 0x6db3ba37, "_gpl");
SYMBOL_CRC(rtl_hal_pwrseqcmdparsing, 0xfbe4004c, "");
SYMBOL_CRC(rtl_cmd_send_packet, 0x2301aa81, "");
SYMBOL_CRC(rtl_init_sw_leds, 0x50cbb0e5, "");
SYMBOL_CRC(rtl_ops, 0xd218fa50, "_gpl");
SYMBOL_CRC(rtl_btc_status_false, 0x2921a4d4, "_gpl");
SYMBOL_CRC(rtl_dm_diginit, 0xd34b8467, "");
SYMBOL_CRC(_rtl_dbg_print, 0x94d9def4, "_gpl");
SYMBOL_CRC(_rtl_dbg_print_data, 0x57ad8a0c, "_gpl");
SYMBOL_CRC(rtl_debug_add_one, 0xcdba8c1b, "_gpl");
SYMBOL_CRC(rtl_debug_remove_one, 0xaff91ee7, "_gpl");
SYMBOL_CRC(efuse_read_1byte, 0x09fbfb2d, "");
SYMBOL_CRC(read_efuse_byte, 0x357e1394, "_gpl");
SYMBOL_CRC(efuse_shadow_read, 0xea674aba, "");
SYMBOL_CRC(rtl_efuse_shadow_map_update, 0x3fc2ca2d, "");
SYMBOL_CRC(efuse_one_byte_read, 0x9c89344d, "");
SYMBOL_CRC(efuse_power_switch, 0xbd09e3e5, "");
SYMBOL_CRC(rtl_get_hwinfo, 0xcf328287, "_gpl");
SYMBOL_CRC(rtl_fw_block_write, 0x9066948c, "_gpl");
SYMBOL_CRC(rtl_fw_page_write, 0xc2a6de67, "_gpl");
SYMBOL_CRC(rtl_fill_dummy, 0x2e5382f9, "_gpl");
SYMBOL_CRC(rtl_efuse_ops_init, 0x7252f87a, "_gpl");
SYMBOL_CRC(rtl_ps_enable_nic, 0x2d1a9a8b, "");
SYMBOL_CRC(rtl_ps_disable_nic, 0xaa715a63, "");
SYMBOL_CRC(rtl_ips_nic_on, 0x5e014431, "_gpl");
SYMBOL_CRC(rtl_swlps_beacon, 0xc81854b7, "_gpl");
SYMBOL_CRC(rtl_lps_change_work_callback, 0x2d32cdfc, "_gpl");
SYMBOL_CRC(rtl_lps_enter, 0x651b4b16, "_gpl");
SYMBOL_CRC(rtl_lps_leave, 0x0acd181b, "_gpl");
SYMBOL_CRC(rtl_p2p_info, 0xf5ab9bd3, "_gpl");
SYMBOL_CRC(rtl_query_rxpwrpercentage, 0x30a956d7, "");
SYMBOL_CRC(rtl_evm_db_to_percentage, 0xed7c8cf2, "");
SYMBOL_CRC(rtl_signal_scale_mapping, 0xf551e6b8, "");
SYMBOL_CRC(rtl_process_phyinfo, 0x8ef49d55, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6c07d01, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x41cb25eb, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xbf50289f, "cfg80211_put_bss" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc1c67f84, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x677796e7, "wiphy_to_ieee80211_hw" },
	{ 0x35f2db01, "simple_open" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x66440455, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe48e706b, "wiphy_apply_custom_regulatory" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8613624, "debugfs_remove" },
	{ 0xf60fe6aa, "seq_putc" },
	{ 0xe036321f, "ieee80211_rate_control_register" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0x137cba89, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x508a32ce, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x15725e1e, "__netdev_alloc_skb" },
	{ 0x1bc305c1, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa66984ca, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xecfa0275, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x5e868d7e, "wiphy_rfkill_start_polling" },
	{ 0xa5a92a35, "debugfs_create_file" },
	{ 0x2c7c0617, "freq_reg_info" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb0e72cfd, "ieee80211_resume_disconnect" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3766ae8, "seq_printf" },
	{ 0x1e72a832, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x549321a8, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1ed10912, "dev_kfree_skb_any_reason" },
	{ 0x3c68ea2, "single_open" },
	{ 0x4578ae9c, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3a8c28fc, "ieee80211_emulate_remove_chanctx" },
	{ 0xc7659065, "cfg80211_unlink_bss" },
	{ 0x335462a3, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x81996186, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x47c69852, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x732af2b0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d447814, "skb_dequeue" },
	{ 0xb9eab1ad, "request_firmware" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x80a37753, "seq_lseek" },
	{ 0x963d6a49, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed875046, "dev_kfree_skb_irq_reason" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xedacf591, "ieee80211_rate_control_unregister" },
	{ 0xee0ec705, "ieee80211_get_hdrlen_from_skb" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "FF2B66BA4F76057CAC2DD76");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
