#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xb138a81d, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x1cf4a1db, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x751cd518, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x75d4f68f, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xe6fa87c6, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xdd157d52, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xe258c32e, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x83aa64ac, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x0e5338f1, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xf732fac8, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xdf335515, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15e1c321, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4c3bd079, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x7b691c76, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x875dc73f, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0xdfd56138, "sg_miter_stop" },
	{ 0xd0d924e6, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd59bc69a, "bio_chain" },
	{ 0x6573f300, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xdf97f56a, "pci_p2pdma_enable_store" },
	{ 0x60fe89d4, "pci_p2pmem_alloc_sgl" },
	{ 0x7472b15, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcf60ca6a, "bio_integrity_alloc" },
	{ 0xdeb76b1b, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdc77da50, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcfa100e3, "bio_init" },
	{ 0x7d3b3f75, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x22f0c7db, "__kmem_cache_create_args" },
	{ 0x9d224c3b, "pci_p2pdma_enable_show" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x729940fe, "trace_event_buffer_reserve" },
	{ 0x33915ddf, "vfs_fsync" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1bed4207, "mempool_create_node_noprof" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xea0d94f8, "pci_dev_get" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf6dae93, "blkdev_issue_flush" },
	{ 0xfec3045, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x664616f6, "key_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91474436, "pci_p2pmem_find_many" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd58095e3, "bio_alloc_bioset" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x19ed2d3c, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xca32c815, "submit_bio_wait" },
	{ 0xdb5e692c, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x7d67ae8f, "__blkdev_issue_discard" },
	{ 0x268a8eb0, "fs_bio_set" },
	{ 0xbd293dc9, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3c9ca7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x182f154a, "filp_open" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xd0601657, "bdev_file_open_by_path" },
	{ 0xcbab3e13, "try_module_get" },
	{ 0x2e8fdd72, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xa452878d, "config_group_init" },
	{ 0x125ddb2f, "config_group_find_item" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x123ffd05, "bio_add_zone_append_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x40296265, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x99a377fb, "pci_dev_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf5acc07e, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x20db995f, "__kmalloc_node_noprof" },
	{ 0x31d4d6d0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7045cbfb, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0xab22a71, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xc1673cad, "pci_p2pmem_free_sgl" },
	{ 0x7c5bb70, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x686447c9, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc401672f, "trace_event_buffer_commit" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x4d18b7ef, "vfs_fallocate" },
	{ 0xa360bb6e, "blkdev_zone_mgmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21e9a59f, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc1cdf9c0, "blk_finish_plug" },
	{ 0xa3469d04, "submit_bio" },
	{ 0x2dff358b, "module_put" },
	{ 0x3c25e0e7, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x885a042b, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xb5db3b3d, "bio_put" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x528b51f, "bio_endio" },
	{ 0xfecec0d6, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x235149dc, "perf_trace_run_bpf_submit" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-keyring");


MODULE_INFO(srcversion, "93C028D3E001C7D1F1AEDD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
