#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x13fe601a, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xb74ec73d, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x95bcee39, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x9fe6e3fc, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xda735683, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xb7745310, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x518fde69, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x4093696b, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x011cd8f9, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x62fd2588, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xbeba38e7, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x1ca138a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16ef8195, "device_unregister" },
	{ 0x5bef5d7, "driver_register" },
	{ 0x584e2e25, "driver_unregister" },
	{ 0xda4089e6, "bus_for_each_dev" },
	{ 0xeddd417, "down_read" },
	{ 0xbb53856b, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xbf334eb, "genl_unregister_family" },
	{ 0x1d3ef5fd, "bus_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xfcdcb522, "bus_register" },
	{ 0x75057da7, "genl_register_family" },
	{ 0xfc0c3ebb, "dma_set_mask" },
	{ 0xfa7a6b81, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x44d07872, "dev_set_name" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x42b7ff9e, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xec4fa421, "netlink_capable" },
	{ 0x464eed9f, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xbbb9bc98, "skb_trim" },
	{ 0xd1f4da2, "__alloc_skb" },
	{ 0x66440455, "sk_skb_reason_drop" },
	{ 0x612816a7, "netlink_unicast" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x6573f300, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x281b2c70, "driver_set_override" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1ff952e1, "bus_find_device" },
	{ 0x6b209fbe, "device_add" },
	{ 0x21e9a59f, "put_device" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0522936D0657C3EA735B82");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
