#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0xf68f9697, "");
SYMBOL_CRC(netfs_read_folio, 0x4ec9304b, "");
SYMBOL_CRC(netfs_write_begin, 0xd6f7bb61, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xa230f9ce, "");
SYMBOL_CRC(netfs_file_read_iter, 0x623c0bc9, "");
SYMBOL_CRC(netfs_perform_write, 0x56c35cc2, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x0725fce5, "");
SYMBOL_CRC(netfs_file_write_iter, 0xd75e3c5a, "");
SYMBOL_CRC(netfs_page_mkwrite, 0xb8c1f5c1, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0xbd54ef1d, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x9d4c0530, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0xb3aaa292, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x13c006ec, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x79359930, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x6edf6a46, "");
SYMBOL_CRC(netfs_start_io_read, 0x40d1b3f4, "");
SYMBOL_CRC(netfs_end_io_read, 0x65a57e73, "");
SYMBOL_CRC(netfs_start_io_write, 0x06c27c2f, "");
SYMBOL_CRC(netfs_end_io_write, 0x753b1e61, "");
SYMBOL_CRC(netfs_start_io_direct, 0x69d6974b, "");
SYMBOL_CRC(netfs_end_io_direct, 0xf8c102be, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0x260d2c64, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xf0ebf0c5, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x44395eac, "");
SYMBOL_CRC(__SCT__tp_func_netfs_sreq, 0x42c377ab, "");
SYMBOL_CRC(netfs_dirty_folio, 0x83e4655c, "");
SYMBOL_CRC(netfs_unpin_writeback, 0x1c1a644a, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0xea63aa38, "");
SYMBOL_CRC(netfs_invalidate_folio, 0x3242cf23, "");
SYMBOL_CRC(netfs_release_folio, 0xe85d3b5c, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0xdf1be19b, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0x9ad46ab1, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xc198af76, "");
SYMBOL_CRC(netfs_writepages, 0x5067b499, "");
SYMBOL_CRC(netfs_stats_show, 0x5d16887d, "");
SYMBOL_CRC(fscache_addremove_sem, 0xdd6f5014, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xc2643956, "");
SYMBOL_CRC(fscache_acquire_cache, 0x9ee924bd, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xc9fe2668, "");
SYMBOL_CRC(fscache_add_cache, 0x4a277ef9, "");
SYMBOL_CRC(fscache_io_error, 0xf9298852, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x6e786361, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x5d252bc2, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x99cd3a4c, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x09356df7, "");
SYMBOL_CRC(fscache_caching_failed, 0x6644341f, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xb355d7c6, "");
SYMBOL_CRC(__fscache_use_cookie, 0x5641537e, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x900be7c7, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x744a5d8f, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x513bb37c, "");
SYMBOL_CRC(fscache_put_cookie, 0x275da4c0, "");
SYMBOL_CRC(fscache_get_cookie, 0x21aafdb7, "");
SYMBOL_CRC(__fscache_invalidate, 0x7269e974, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x29981740, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x314cfde1, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x1d236eed, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x28bde914, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x45d3be80, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x7c213926, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x96cb418e, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x3e58e4c3, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x4f288a51, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x47ed24d9, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x76a06605, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x8abaef51, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x1a375a28, "");
SYMBOL_CRC(fscache_end_volume_access, 0xfac8bdac, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x9c59b7e7, "");
SYMBOL_CRC(fscache_put_volume, 0x7a39af3c, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xa599618b, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xeeb33227, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x42de28f1, "__filemap_set_wb_err" },
	{ 0x885f640, "__filemap_get_folio" },
	{ 0x5c4ca1c6, "const_pcpu_hot" },
	{ 0x3d32cf75, "filemap_invalidate_inode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7c700f44, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x5bf07a76, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4b5db849, "copy_page_from_iter_atomic" },
	{ 0xd75dfd5b, "__folio_swap_cache_index" },
	{ 0xa1b6c088, "folio_wait_private_2" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x25622c65, "kmem_cache_size" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x408eb777, "readahead_expand" },
	{ 0x22a436c1, "__inode_attach_wb" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb07983ca, "__folio_lock_killable" },
	{ 0x235149dc, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x155f951a, "bpf_trace_run5" },
	{ 0x3ade1ffe, "inode_dio_finished" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xc65fc668, "file_update_time" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x58a85ecc, "kmem_cache_free" },
	{ 0xf60fe6aa, "seq_putc" },
	{ 0xd0d924e6, "trace_event_reg" },
	{ 0x3abb3e0f, "file_remove_privs" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xba51c271, "__folio_start_writeback" },
	{ 0xdc77da50, "bpf_trace_run1" },
	{ 0x87a7d16, "folio_end_writeback" },
	{ 0x6594c5a, "folio_alloc_noprof" },
	{ 0x6453dbb4, "down_read_interruptible" },
	{ 0xd07b8577, "proc_mkdir" },
	{ 0xc7de3475, "inode_dio_wait_interruptible" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d3b3f75, "iov_iter_bvec" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x247a6438, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe29ec974, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2dca9225, "folio_end_private_2" },
	{ 0x22f0c7db, "__kmem_cache_create_args" },
	{ 0x5e88323a, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf5166aeb, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x50839301, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x729940fe, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x546ef138, "down_write_killable" },
	{ 0x94b12e5e, "filemap_fdatawait_range" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf81592b4, "seq_write" },
	{ 0x6e17348c, "__folio_put" },
	{ 0xb124d4e7, "remove_proc_entry" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3766ae8, "seq_printf" },
	{ 0xaaecb603, "iov_iter_zero" },
	{ 0xef5bf4ab, "touch_atime" },
	{ 0x86ccc4e7, "filemap_read" },
	{ 0x7e67f88e, "__percpu_down_read" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x73888a29, "balance_dirty_pages_ratelimited_flags" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x9e8e39df, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbfd3ce70, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x79cffcae, "iov_iter_xarray" },
	{ 0x841970c, "proc_create_single_data" },
	{ 0xaf7a4b4a, "filemap_write_and_wait_range" },
	{ 0xe601f4b7, "folio_wait_writeback_killable" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x754d539c, "strlen" },
	{ 0x48364823, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa1bac398, "generic_write_checks" },
	{ 0xb32171ae, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1e12ee53, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x35dcc039, "folio_wait_private_2_killable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x8a071551, "iov_iter_npages" },
	{ 0x5cb09ade, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x5b3c9ca7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x59ae9256, "vfs_fsync_range" },
	{ 0xba34c189, "wbc_detach_inode" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcab7de9d, "bpf_trace_run4" },
	{ 0x6dae03dd, "kiocb_write_and_wait" },
	{ 0xa438b1ea, "param_ops_uint" },
	{ 0x3b9ed188, "filemap_range_has_page" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x257ce82d, "__folio_batch_release" },
	{ 0x50d91bfa, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40296265, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xf5acc07e, "__trace_trigger_soft_disabled" },
	{ 0x379cec12, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe924e8d5, "iov_iter_advance" },
	{ 0x31d4d6d0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x85e5e224, "xas_find" },
	{ 0xd2837f3f, "folio_redirty_for_writepage" },
	{ 0x4087aff4, "iov_iter_folio_queue" },
	{ 0x7045cbfb, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x81822675, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xffe18609, "invalidate_inode_pages2_range" },
	{ 0xaee40f5c, "pcpu_hot" },
	{ 0xcb3b149e, "wbc_attach_and_unlock_inode" },
	{ 0xab22a71, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd4078115, "remove_proc_subtree" },
	{ 0x805fac23, "folio_clear_dirty_for_io" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401672f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "106A770E089582262B9A125");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
