#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xde2fee9f, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xc5d2301c, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xa2b83150, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xa7fc03ec, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xd96be7be, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xc66c0450, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xec7a41a0, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x0034c9b4, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xc4277339, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x04e621d4, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x30676239, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xeefc1d3a, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x36d0d5a2, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xa9b2f011, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x95495e73, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x77687f3f, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x7c07e682, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x0f2d6c95, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x5bce4fd9, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xc3eda71d, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x5d4874b2, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xd3055112, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99f43a97, "snd_hda_apply_fixup" },
	{ 0x13cfd80b, "snd_hda_enum_helper_info" },
	{ 0x1d1274b2, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x969ad082, "snd_hdac_codec_read" },
	{ 0x15014866, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xc8f46140, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x268ece33, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf1ba61cc, "snd_hdac_regmap_sync" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x8e634626, "snd_hda_apply_verbs" },
	{ 0xa8f7266e, "snd_hda_codec_amp_update" },
	{ 0xd0eeb4cc, "snd_hda_add_new_ctls" },
	{ 0x93463421, "snd_hda_get_connections" },
	{ 0x70e63f45, "snd_hda_codec_amp_init_stereo" },
	{ 0x2d013ec6, "snd_hda_set_vmaster_tlv" },
	{ 0x1a138da7, "hda_get_autocfg_input_label" },
	{ 0xaaf3648, "query_amp_caps" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0x1158e42c, "snd_hda_mixer_amp_volume_info" },
	{ 0x60363318, "snd_hdac_regmap_read_raw" },
	{ 0x3edc4440, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x43d4efa6, "snd_hda_codec_setup_stream" },
	{ 0x9962fe05, "snd_hda_mixer_amp_switch_info" },
	{ 0x4c6d3b5c, "hda_codec_driver_unregister" },
	{ 0xe811fa44, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6ae9e951, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xf5531128, "snd_hda_jack_tbl_get_mst" },
	{ 0xb9bd9064, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc47313e1, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xb159db00, "led_classdev_unregister" },
	{ 0x2dc273be, "snd_hda_codec_pcm_new" },
	{ 0x63542774, "__snd_hda_codec_cleanup_stream" },
	{ 0x6b521c10, "snd_ctl_sync_vmaster" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xfe98867e, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3274caa4, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d02b473, "snd_hda_add_imux_item" },
	{ 0xad49ad46, "snd_hda_correct_pin_ctl" },
	{ 0xde258b14, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xbecd9238, "snd_hda_create_dig_out_ctls" },
	{ 0x68bac80, "snd_hda_multi_out_dig_close" },
	{ 0x5388bd98, "snd_hda_get_conn_index" },
	{ 0x9bd16d6c, "snd_hda_multi_out_analog_open" },
	{ 0xd9db2f14, "snd_hda_get_bool_hint" },
	{ 0x6b81cd93, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa1893332, "snd_hda_find_mixer_ctl" },
	{ 0xfc91edf8, "snd_hda_get_int_hint" },
	{ 0x17841205, "_dev_err" },
	{ 0xfc663a01, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x2c47d0b, "snd_hda_parse_pin_defcfg" },
	{ 0xb803777f, "snd_hda_codec_amp_init" },
	{ 0x606de5c8, "snd_hda_create_spdif_in_ctls" },
	{ 0x25f154ea, "is_jack_detectable" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5bf1c62e, "snd_hda_multi_out_analog_cleanup" },
	{ 0x64c2597a, "snd_hda_multi_out_analog_prepare" },
	{ 0xeddb5efe, "snd_ctl_boolean_stereo_info" },
	{ 0x37aedb10, "snd_hda_get_conn_list" },
	{ 0x5d8551fe, "snd_hda_mixer_amp_switch_get" },
	{ 0x852e4d81, "snd_hda_codec_set_pin_target" },
	{ 0xd264b2b1, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe6991d7b, "snd_hda_attach_beep_device" },
	{ 0x72c0290f, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xad3af177, "snd_hdac_regmap_write_raw" },
	{ 0xd5bf4bd7, "snd_hda_mixer_amp_volume_get" },
	{ 0xde04497a, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0xdf60a168, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d3b524f, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbbd72976, "snd_hda_jack_unsol_event" },
	{ 0x604eb42, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x403a2f44, "snd_hda_mixer_amp_tlv" },
	{ 0xafdaee77, "snd_hda_jack_add_kctls" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xb1d7f76a, "__snd_hda_add_vmaster" },
	{ 0xd97964f2, "snd_hda_codec_amp_stereo" },
	{ 0xdc31d1d1, "snd_hda_sync_vmaster_hook" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "9AEB14710080BFAD40B29F5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
