#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt712_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt722_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x9a45fe1d, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x24a21333, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0xb972fbae, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0xc8965f5a, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0x24e65cdd, "");
SYMBOL_CRC(asoc_sdw_startup, 0x998baef1, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x20e286f5, "");
SYMBOL_CRC(asoc_sdw_trigger, 0xf4159235, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x678edbe0, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0xcc55a85e, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xbc39834f, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0xff2584e0, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x41108c96, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x96549004, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0xfd1ad0e8, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x3e0adb00, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0xaf93b2f3, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0xd3ad33c5, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0xcd704a45, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0x79976b1c, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x6b37a8d1, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0xf44d8c5f, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x6946d244, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0xd2597397, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x5893c186, "");
SYMBOL_CRC(asoc_sdw_rt712_spk_rtd_init, 0x60a6f03a, "");
SYMBOL_CRC(asoc_sdw_rt722_spk_rtd_init, 0x30f663cd, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x2cc85d7c, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0xa8aabfb7, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x590848d4, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x8d3f75dc, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0xb26aaf3d, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0xd5f1adbe, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x4f182e46, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0xea000fd3, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x559364e4, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x241377c6, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x20d0a8f7, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0x356110dd, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0x9ae532d4, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0xedeaca33, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0xa1c5a2b8, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xa1267943, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0xaf5136ee, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0xe10efa2b, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x3fe555e7, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x11975c06, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c27d603, "snd_soc_dai_set_tdm_slot" },
	{ 0xc5864fa6, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8a765016, "snd_soc_dapm_disable_pin" },
	{ 0x7b9a50c9, "snd_soc_component_set_sysclk" },
	{ 0xd8cca244, "snd_soc_dai_set_sysclk" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7f80678, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1afb3f70, "snd_soc_component_set_jack" },
	{ 0x4f54dccd, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21e9a59f, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xacf1fcf6, "fwnode_create_software_node" },
	{ 0xe946c31c, "snd_soc_dapm_get_pin_switch" },
	{ 0x4cde88bf, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x17841205, "_dev_err" },
	{ 0x1ff952e1, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x71891d59, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0xd465424d, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x995a253a, "device_remove_software_node" },
	{ 0xb7a68e61, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xae50562d, "devm_kasprintf" },
	{ 0xa4deb045, "snd_soc_card_jack_new_pins" },
	{ 0x6d81d146, "snd_soc_dai_set_pll" },
	{ 0xb4bd222, "snd_soc_dapm_new_controls" },
	{ 0xbbec2c2e, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6fcb4945, "snd_soc_dapm_put_pin_switch" },
	{ 0xfc22058b, "device_match_name" },
	{ 0xd761683b, "snd_soc_dapm_info_pin_switch" },
	{ 0xcc526f59, "snd_soc_add_card_controls" },
	{ 0xcfefd1df, "device_add_software_node" },
	{ 0x16d1706b, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x2992f765, "sdw_bus_type" },
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0x36d053c7, "to_software_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "6C41647632F304A037976CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
