#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0xadd987d4, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x275aa4d4, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xa155d718, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0xedcd5049, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0xf2990ce7, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xbf8aef37, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xa43b1376, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x0d67c1ea, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x89f97c98, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x7ca5dea4, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xa753abb0, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x8608f386, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x6695cd7d, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x42c4b0a3, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xeaf75754, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xba47c4cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab765c0d, "devm_kmalloc" },
	{ 0xd9055794, "snd_hdac_bus_send_cmd" },
	{ 0xe37023df, "snd_hdac_bus_get_response" },
	{ 0xe70fb067, "snd_hdac_bus_update_rirb" },
	{ 0xc4a7306b, "snd_hdac_codec_modalias" },
	{ 0x318660b6, "__dynamic_dev_dbg" },
	{ 0x89352aa5, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21e9a59f, "put_device" },
	{ 0x7980843d, "snd_hdac_device_register" },
	{ 0xdd07a1cf, "snd_hdac_i915_init" },
	{ 0x17841205, "_dev_err" },
	{ 0xee4ab462, "snd_hdac_device_unregister" },
	{ 0xe3af410b, "device_attach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x18570eeb, "snd_hdac_bus_stop_cmd_io" },
	{ 0xbe6c5068, "_dev_warn" },
	{ 0xa8937383, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc154111a, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x23b51be0, "snd_hdac_acomp_exit" },
	{ 0x951b72bd, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5724efed, "snd_hda_codec_device_init" },
	{ 0xbb94ee81, "snd_hdac_set_codec_wakeup" },
	{ 0x25b466f4, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "1084AAA78034AB9B5C0C372");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
